// DO NOT EDIT
// Generated by JFlex 1.9.1 http://jflex.de/
// source: jflex/S070_NumberYears.jflex

/*******************************************************************************
 * Copyright (c) 2022-2029 Institute of Legal Information and Judicial Systems (IGSG-CNR)
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License. 
 * You may obtain a copy of the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and 
 * limitations under the License.
 *  
 * Authors: Lorenzo Bacci (IGSG-CNR)
 ******************************************************************************/
package it.cnr.igsg.linkoln;

import java.util.ArrayList;
import java.util.Collection;


@SuppressWarnings("fallthrough")
class S070_NumberYears extends LinkolnAnnotationService {

  /** This character denotes the end of file. */
  public static final int YYEOF = -1;

  /** Initial size of the lookahead buffer. */
  private static final int ZZ_BUFFERSIZE = 16384;

  // Lexical states.
  public static final int YYINITIAL = 0;
  public static final int lkn = 2;
  public static final int numberYearState = 4;
  public static final int yearNumberState = 6;
  public static final int multipleNumbersYear = 8;
  public static final int ueYearNumber = 10;

  /**
   * ZZ_LEXSTATE[l] is the state in the DFA for the lexical state l
   * ZZ_LEXSTATE[l+1] is the state in the DFA for the lexical state l
   *                  at the beginning of a line
   * l is of the form l = 2*k, k a non negative integer
   */
  private static final int ZZ_LEXSTATE[] = {
     0,  0,  1,  1,  2,  2,  2,  2,  3,  3,  4, 4
  };

  /**
   * Top-level table for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_TOP = zzUnpackcmap_top();

  private static final String ZZ_CMAP_TOP_PACKED_0 =
    "\1\0\1\u0100\34\u0200\1\u0300\1\u0200\1\u0400\1\u0500\u10de\u0200";

  private static int [] zzUnpackcmap_top() {
    int [] result = new int[4352];
    int offset = 0;
    offset = zzUnpackcmap_top(ZZ_CMAP_TOP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_top(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Second-level tables for translating characters to character classes
   */
  private static final int [] ZZ_CMAP_BLOCKS = zzUnpackcmap_blocks();

  private static final String ZZ_CMAP_BLOCKS_PACKED_0 =
    "\11\0\1\1\1\2\1\0\1\1\1\3\22\0\1\1"+
    "\1\0\1\4\3\0\1\5\1\6\4\0\1\7\1\10"+
    "\1\11\1\12\1\13\1\14\1\15\3\16\2\17\1\20"+
    "\1\21\1\22\1\23\5\0\1\24\1\25\1\26\1\27"+
    "\1\30\1\31\1\32\1\33\1\34\1\33\1\35\1\36"+
    "\1\37\1\40\1\41\1\42\1\33\1\43\1\44\1\45"+
    "\1\46\1\47\1\50\3\33\1\51\1\52\1\53\1\0"+
    "\1\54\1\6\1\55\1\56\1\57\1\60\1\61\1\62"+
    "\1\63\1\64\1\65\1\64\1\66\1\67\1\70\1\71"+
    "\1\72\1\73\1\64\1\74\1\75\1\76\1\77\1\100"+
    "\1\101\3\64\65\0\1\102\3\0\1\6\13\0\6\64"+
    "\1\0\11\64\1\0\6\64\2\0\4\64\3\0\6\64"+
    "\1\0\11\64\1\0\6\64\2\0\4\64\53\0\2\64"+
    "\6\0\2\103\66\0\2\64\4\0\2\64\17\0\1\104"+
    "\u0188\0\2\64\216\0\2\64\42\0\2\64\104\0\1\1"+
    "\20\0\2\10\4\0\1\6\u0110\0\1\105\325\0";

  private static int [] zzUnpackcmap_blocks() {
    int [] result = new int[1536];
    int offset = 0;
    offset = zzUnpackcmap_blocks(ZZ_CMAP_BLOCKS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackcmap_blocks(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /**
   * Translates DFA states to action switch labels.
   */
  private static final int [] ZZ_ACTION = zzUnpackAction();

  private static final String ZZ_ACTION_PACKED_0 =
    "\11\0\6\1\2\2\1\3\1\4\1\5\2\4\4\3"+
    "\166\0\4\6\77\0\1\7\10\0\4\10\30\0\2\11"+
    "\2\0\2\12\137\0\2\13\130\0\1\14\17\0\2\15"+
    "\151\0\2\16\25\0\2\17\10\0\2\20\4\0\1\21"+
    "\10\0\2\22\41\0\1\21\253\0";

  private static int [] zzUnpackAction() {
    int [] result = new int[817];
    int offset = 0;
    offset = zzUnpackAction(ZZ_ACTION_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAction(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /**
   * Translates a state to a row index in the transition table
   */
  private static final int [] ZZ_ROWMAP = zzUnpackRowMap();

  private static final String ZZ_ROWMAP_PACKED_0 =
    "\0\0\0\106\0\214\0\322\0\u0118\0\u015e\0\u01a4\0\u01ea"+
    "\0\u0230\0\u0276\0\u02bc\0\u0302\0\u0348\0\u038e\0\u03d4\0\u0302"+
    "\0\u041a\0\u0302\0\u0302\0\u0460\0\u04a6\0\u04ec\0\u0532\0\u0578"+
    "\0\u05be\0\u0604\0\u064a\0\u0690\0\u06d6\0\u071c\0\u0762\0\u07a8"+
    "\0\u07ee\0\u0834\0\u087a\0\u08c0\0\u0906\0\u094c\0\u0276\0\u0992"+
    "\0\u09d8\0\u0a1e\0\u0a64\0\u0aaa\0\u0af0\0\u0b36\0\u0b7c\0\u0bc2"+
    "\0\u0c08\0\u0c4e\0\u0c94\0\u0cda\0\u0d20\0\u0d66\0\u0dac\0\u0578"+
    "\0\u0df2\0\u0e38\0\u0e7e\0\u0ec4\0\u0f0a\0\u0f50\0\u0f96\0\u0fdc"+
    "\0\u1022\0\u1068\0\u10ae\0\u10f4\0\u113a\0\u1180\0\u11c6\0\u120c"+
    "\0\u1252\0\u1298\0\u12de\0\u1324\0\u136a\0\u13b0\0\u13f6\0\u143c"+
    "\0\u1482\0\u14c8\0\u150e\0\u1554\0\u159a\0\u15e0\0\u1626\0\u166c"+
    "\0\u16b2\0\u16f8\0\u173e\0\u1784\0\u17ca\0\u1810\0\u1856\0\u189c"+
    "\0\u18e2\0\u1928\0\u196e\0\u19b4\0\u19fa\0\u1a40\0\u1a86\0\u1acc"+
    "\0\u1b12\0\u1b58\0\u1b9e\0\u1be4\0\u1c2a\0\u1c70\0\u1cb6\0\u1cfc"+
    "\0\u1d42\0\u1d88\0\u1dce\0\u1e14\0\u1e5a\0\u1ea0\0\u1ee6\0\u1f2c"+
    "\0\u1f72\0\u1fb8\0\u1ffe\0\u2044\0\u208a\0\u20d0\0\u2116\0\u215c"+
    "\0\u21a2\0\u21e8\0\u222e\0\u2274\0\u22ba\0\u2300\0\u2346\0\u238c"+
    "\0\u23d2\0\u2418\0\u245e\0\u24a4\0\u24ea\0\u2530\0\u2576\0\u25bc"+
    "\0\u0302\0\u2602\0\u173e\0\u2648\0\u268e\0\u26d4\0\u271a\0\u2760"+
    "\0\u27a6\0\u27ec\0\u2832\0\u2878\0\u28be\0\u2904\0\u294a\0\u2990"+
    "\0\u29d6\0\u2a1c\0\u2a62\0\u2aa8\0\u2aee\0\u2b34\0\u2b7a\0\u2bc0"+
    "\0\u2c06\0\u2c4c\0\u2c92\0\u2cd8\0\u2d1e\0\u2d64\0\u2daa\0\u2df0"+
    "\0\u2e36\0\u2e7c\0\u2ec2\0\u2f08\0\u2f4e\0\u2f94\0\u2fda\0\u3020"+
    "\0\u3066\0\u30ac\0\u30f2\0\u3138\0\u317e\0\u31c4\0\u320a\0\u3250"+
    "\0\u3296\0\u32dc\0\u3322\0\u3368\0\u33ae\0\u33f4\0\u343a\0\u3480"+
    "\0\u34c6\0\u350c\0\u3552\0\u3598\0\u35de\0\u3624\0\u366a\0\u36b0"+
    "\0\u36f6\0\u373c\0\u3782\0\u0302\0\u37c8\0\u380e\0\u3854\0\u389a"+
    "\0\u38e0\0\u3926\0\u396c\0\u39b2\0\u0302\0\u39f8\0\u39b2\0\u3a3e"+
    "\0\u3a84\0\u3aca\0\u3b10\0\u3b56\0\u3b9c\0\u3be2\0\u3c28\0\u3c6e"+
    "\0\u3cb4\0\u3cfa\0\u3d40\0\u3d86\0\u3dcc\0\u3e12\0\u3e58\0\u3e9e"+
    "\0\u3ee4\0\u3f2a\0\u3f70\0\u3fb6\0\u3ffc\0\u4042\0\u4088\0\u40ce"+
    "\0\u0302\0\u4114\0\u415a\0\u41a0\0\u0302\0\u41e6\0\u422c\0\u4272"+
    "\0\u42b8\0\u42fe\0\u4344\0\u438a\0\u43d0\0\u4416\0\u445c\0\u44a2"+
    "\0\u44e8\0\u452e\0\u4574\0\u45ba\0\u4600\0\u4646\0\u468c\0\u46d2"+
    "\0\u4718\0\u475e\0\u47a4\0\u47ea\0\u4830\0\u4876\0\u48bc\0\u4902"+
    "\0\u4948\0\u498e\0\u49d4\0\u4a1a\0\u4a60\0\u4aa6\0\u4aec\0\u4b32"+
    "\0\u4b78\0\u4bbe\0\u4c04\0\u4c4a\0\u4c90\0\u4cd6\0\u4d1c\0\u4d62"+
    "\0\u4da8\0\u4dee\0\u4e34\0\u4e7a\0\u4ec0\0\u4f06\0\u4f4c\0\u4f92"+
    "\0\u4fd8\0\u501e\0\u5064\0\u50aa\0\u50f0\0\u5136\0\u517c\0\u51c2"+
    "\0\u5208\0\u524e\0\u5294\0\u52da\0\u5320\0\u5366\0\u53ac\0\u53f2"+
    "\0\u5438\0\u547e\0\u54c4\0\u550a\0\u5550\0\u5596\0\u55dc\0\u5622"+
    "\0\u5668\0\u56ae\0\u56f4\0\u573a\0\u5780\0\u57c6\0\u580c\0\u5852"+
    "\0\u5898\0\u0302\0\u58de\0\u5924\0\u596a\0\u59b0\0\u59f6\0\u5a3c"+
    "\0\u5a82\0\u5ac8\0\u5b0e\0\u5b54\0\u5b9a\0\u0302\0\u5be0\0\u5c26"+
    "\0\u5c6c\0\u5cb2\0\u5cf8\0\u5d3e\0\u5d84\0\u5dca\0\u5e10\0\u5e56"+
    "\0\u5e9c\0\u5ee2\0\u5f28\0\u5f6e\0\u5fb4\0\u5ffa\0\u6040\0\u6086"+
    "\0\u60cc\0\u6112\0\u6158\0\u619e\0\u61e4\0\u622a\0\u6270\0\u62b6"+
    "\0\u62fc\0\u6342\0\u6388\0\u63ce\0\u6414\0\u645a\0\u64a0\0\u64e6"+
    "\0\u652c\0\u6572\0\u65b8\0\u65fe\0\u6644\0\u668a\0\u66d0\0\u6716"+
    "\0\u675c\0\u67a2\0\u67e8\0\u682e\0\u6874\0\u68ba\0\u6900\0\u6946"+
    "\0\u698c\0\u69d2\0\u6a18\0\u6a5e\0\u6aa4\0\u6aea\0\u6b30\0\u6b76"+
    "\0\u6bbc\0\u6c02\0\u6c48\0\u6c8e\0\u6cd4\0\u6d1a\0\u6d60\0\u6da6"+
    "\0\u6dec\0\u6e32\0\u6e78\0\u6ebe\0\u6f04\0\u6f4a\0\u6f90\0\u6fd6"+
    "\0\u701c\0\u7062\0\u70a8\0\u70ee\0\u7134\0\u717a\0\u71c0\0\u7206"+
    "\0\u724c\0\u7292\0\u72d8\0\u731e\0\u7364\0\u73aa\0\u73f0\0\u0302"+
    "\0\u7436\0\u747c\0\u74c2\0\u7508\0\u754e\0\u7594\0\u75da\0\u7620"+
    "\0\u7666\0\u76ac\0\u76f2\0\u7738\0\u777e\0\u77c4\0\u780a\0\u0302"+
    "\0\u7850\0\u7896\0\u78dc\0\u7922\0\u7968\0\u79ae\0\u79f4\0\u7a3a"+
    "\0\u7a80\0\u7ac6\0\u7b0c\0\u7b52\0\u7b98\0\u7bde\0\u7c24\0\u7c6a"+
    "\0\u7cb0\0\u7cf6\0\u7d3c\0\u7d82\0\u7dc8\0\u7e0e\0\u7e54\0\u7e9a"+
    "\0\u7ee0\0\u7f26\0\u7f6c\0\u7fb2\0\u7ff8\0\u803e\0\u8084\0\u80ca"+
    "\0\u8110\0\u8156\0\u819c\0\u81e2\0\u8228\0\u826e\0\u82b4\0\u82fa"+
    "\0\u8340\0\u8386\0\u83cc\0\u8412\0\u8458\0\u849e\0\u84e4\0\u852a"+
    "\0\u8570\0\u85b6\0\u85fc\0\u8642\0\u8688\0\u86ce\0\u8714\0\u875a"+
    "\0\u87a0\0\u87e6\0\u882c\0\u8872\0\u88b8\0\u88fe\0\u8944\0\u898a"+
    "\0\u89d0\0\u8a16\0\u8a5c\0\u8aa2\0\u8ae8\0\u8b2e\0\u8b74\0\u8bba"+
    "\0\u8c00\0\u8c46\0\u8c8c\0\u8cd2\0\u8d18\0\u8d5e\0\u8da4\0\u8dea"+
    "\0\u8e30\0\u8e76\0\u8ebc\0\u8f02\0\u8f48\0\u8f8e\0\u8fd4\0\u901a"+
    "\0\u9060\0\u90a6\0\u90ec\0\u9132\0\u9178\0\u91be\0\u9204\0\u924a"+
    "\0\u9290\0\u92d6\0\u931c\0\u9362\0\u93a8\0\u93ee\0\u9434\0\u947a"+
    "\0\u94c0\0\u9506\0\u0302\0\u954c\0\u9592\0\u95d8\0\u961e\0\u9664"+
    "\0\u96aa\0\u96f0\0\u9736\0\u977c\0\u97c2\0\u9808\0\u984e\0\u9894"+
    "\0\u98da\0\u9920\0\u9966\0\u99ac\0\u99f2\0\u9a38\0\u9a7e\0\u9ac4"+
    "\0\u9b0a\0\u0302\0\u9b50\0\u9b96\0\u9bdc\0\u9c22\0\u9c68\0\u9cae"+
    "\0\u9cf4\0\u9d3a\0\u9d80\0\u0302\0\u9dc6\0\u9e0c\0\u9e52\0\u9e98"+
    "\0\u9ede\0\u0302\0\u9f24\0\u9f6a\0\u9fb0\0\u9ff6\0\ua03c\0\ua082"+
    "\0\ua0c8\0\ua10e\0\u0302\0\ua154\0\ua19a\0\ua1e0\0\ua226\0\ua26c"+
    "\0\ua2b2\0\ua2f8\0\ua33e\0\ua384\0\ua3ca\0\ua410\0\ua456\0\ua49c"+
    "\0\ua4e2\0\ua528\0\ua56e\0\ua5b4\0\ua5fa\0\ua640\0\ua686\0\ua6cc"+
    "\0\ua712\0\ua758\0\ua79e\0\ua7e4\0\ua82a\0\ua870\0\ua8b6\0\ua8fc"+
    "\0\ua942\0\ua988\0\ua9ce\0\uaa14\0\uaa5a\0\uaaa0\0\uaaa0\0\uaae6"+
    "\0\uab2c\0\uab72\0\uabb8\0\uabfe\0\uac44\0\uac8a\0\uacd0\0\uad16"+
    "\0\uad5c\0\uada2\0\uade8\0\uae2e\0\uae74\0\uaeba\0\uaf00\0\uaf46"+
    "\0\uaf8c\0\uafd2\0\ub018\0\ub05e\0\ub0a4\0\ub0ea\0\ub130\0\ub176"+
    "\0\ub1bc\0\ub202\0\ub248\0\ub28e\0\ub2d4\0\ub31a\0\ub360\0\ub3a6"+
    "\0\ub3ec\0\ub432\0\ub478\0\ub4be\0\ub504\0\ub54a\0\ub590\0\ub5d6"+
    "\0\ub61c\0\ub662\0\ub6a8\0\ub6ee\0\ub734\0\ub77a\0\ub7c0\0\ub806"+
    "\0\ub84c\0\ub892\0\ub8d8\0\ub91e\0\ub964\0\ub9aa\0\ub9f0\0\uba36"+
    "\0\uba7c\0\ubac2\0\ubb08\0\ubb4e\0\ubb94\0\ubbda\0\ubc20\0\ubc66"+
    "\0\ubcac\0\ubcf2\0\ubd38\0\ubd7e\0\ubdc4\0\ube0a\0\ube50\0\ube96"+
    "\0\ubedc\0\ubf22\0\ubf68\0\ubfae\0\ubff4\0\uc03a\0\uc080\0\uc0c6"+
    "\0\uc10c\0\uc152\0\uc198\0\uc1de\0\uc224\0\uc26a\0\uc2b0\0\uc2f6"+
    "\0\uc33c\0\uc382\0\uc3c8\0\uc40e\0\uc454\0\uc49a\0\uc4e0\0\uc526"+
    "\0\uc56c\0\uc5b2\0\uc5f8\0\uc63e\0\uc684\0\uc6ca\0\uc710\0\uc756"+
    "\0\uc79c\0\uc7e2\0\uc828\0\uc86e\0\uc8b4\0\uc8fa\0\uc940\0\uc986"+
    "\0\uc9cc\0\uca12\0\uca58\0\uca9e\0\ucae4\0\ucb2a\0\ucb70\0\ucbb6"+
    "\0\ucbfc\0\ucc42\0\ucc88\0\uccce\0\ucd14\0\ucd5a\0\ucda0\0\ucde6"+
    "\0\uce2c\0\uce72\0\uceb8\0\ucefe\0\ucf44\0\ucf8a\0\ucfd0\0\ud016"+
    "\0\ud05c\0\ud0a2\0\ud0e8\0\ud12e\0\ud174\0\ud1ba\0\ud200\0\ud246"+
    "\0\ud28c\0\ud2d2\0\ud318\0\ud35e\0\ud3a4\0\ud3ea\0\ud430\0\ud476"+
    "\0\ud4bc\0\ud502\0\ud548\0\ud58e\0\ud5d4\0\ud61a\0\ud660\0\ud6a6"+
    "\0\ud6ec\0\ud732\0\ud778\0\ud7be\0\ud804\0\ud84a\0\ud890\0\ud8d6"+
    "\0\ud91c";

  private static int [] zzUnpackRowMap() {
    int [] result = new int[817];
    int offset = 0;
    offset = zzUnpackRowMap(ZZ_ROWMAP_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackRowMap(String packed, int offset, int [] result) {
    int i = 0;  /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length() - 1;
    while (i < l) {
      int high = packed.charAt(i++) << 16;
      result[j++] = high | packed.charAt(i++);
    }
    return j;
  }

  /**
   * The transition table of the DFA
   */
  private static final int [] ZZ_TRANS = zzUnpacktrans();

  private static final String ZZ_TRANS_PACKED_0 =
    "\3\12\1\13\7\12\7\14\2\12\3\14\1\15\13\14"+
    "\1\16\5\14\1\17\3\12\3\14\1\15\13\14\1\16"+
    "\5\14\4\12\51\20\1\21\34\20\106\22\13\23\7\24"+
    "\16\23\1\25\10\23\1\26\17\23\1\25\14\23\6\22"+
    "\1\27\4\22\1\30\1\31\1\32\4\30\64\22\27\0"+
    "\1\33\30\0\1\33\25\0\2\34\1\35\10\34\7\0"+
    "\64\34\2\36\1\37\10\36\7\0\64\36\43\0\1\40"+
    "\30\0\1\40\17\0\1\41\4\0\1\42\1\43\1\44"+
    "\4\42\16\0\1\45\10\0\1\46\17\0\1\45\16\0"+
    "\1\47\3\0\1\41\4\0\1\42\1\43\1\44\4\42"+
    "\16\0\1\45\10\0\1\46\17\0\1\45\156\0\1\50"+
    "\30\0\1\50\15\0\1\50\32\0\1\51\30\0\1\51"+
    "\32\0\1\41\4\0\1\42\1\43\1\44\4\42\14\0"+
    "\1\52\1\0\1\45\10\0\1\46\15\0\1\52\1\0"+
    "\1\45\26\0\1\53\74\0\3\54\1\0\1\55\4\0"+
    "\1\56\7\24\2\0\1\57\24\0\1\60\1\56\2\0"+
    "\1\57\31\0\3\61\1\0\1\62\3\0\1\63\1\0"+
    "\7\24\16\0\2\64\1\0\1\64\2\0\1\65\2\0"+
    "\1\66\17\0\2\64\1\0\1\64\2\0\1\65\2\0"+
    "\1\61\41\0\1\67\30\0\1\67\31\0\7\70\77\0"+
    "\7\71\77\0\5\71\1\72\1\73\77\0\1\74\6\71"+
    "\120\0\1\75\30\0\1\75\15\0\1\75\15\0\7\76"+
    "\67\0\1\34\7\0\7\76\77\0\7\77\67\0\1\36"+
    "\7\0\7\77\114\0\1\100\30\0\1\100\37\0\7\101"+
    "\65\0\3\102\1\0\1\103\1\0\1\104\1\105\1\0"+
    "\1\105\7\106\2\0\1\107\24\0\1\110\1\105\1\0"+
    "\1\105\1\107\31\0\3\102\1\0\1\103\1\0\1\104"+
    "\1\105\1\0\1\105\5\106\1\111\1\112\2\0\1\107"+
    "\24\0\1\110\1\105\1\0\1\105\1\107\31\0\3\102"+
    "\1\0\1\103\1\0\1\104\1\105\1\0\1\105\1\113"+
    "\6\106\2\0\1\107\24\0\1\110\1\105\1\0\1\105"+
    "\1\107\31\0\3\114\1\0\1\115\1\41\2\0\1\116"+
    "\1\0\1\117\1\120\1\121\4\117\16\0\2\122\1\0"+
    "\1\122\2\0\1\123\2\0\1\46\17\0\2\122\1\0"+
    "\1\122\2\0\1\123\2\0\1\114\41\0\1\124\30\0"+
    "\1\124\61\0\1\125\30\0\1\125\43\0\1\126\30\0"+
    "\1\126\57\0\1\127\30\0\1\127\16\0\1\127\36\0"+
    "\1\130\30\0\1\130\17\0\3\54\1\0\1\55\4\0"+
    "\1\56\11\0\1\57\24\0\1\60\1\56\2\0\1\57"+
    "\70\0\1\131\30\0\1\131\15\0\3\56\1\0\1\132"+
    "\1\133\4\0\1\134\1\135\1\136\4\134\124\0\1\137"+
    "\30\0\1\137\52\0\1\140\30\0\1\140\17\0\3\61"+
    "\1\0\1\62\5\0\7\24\27\0\1\66\74\0\1\141"+
    "\30\0\1\141\15\0\3\61\1\0\1\62\5\0\7\24"+
    "\27\0\1\66\30\0\1\61\4\0\3\61\1\0\1\62"+
    "\3\0\1\61\1\0\7\24\27\0\1\66\73\0\1\142"+
    "\30\0\1\142\53\0\1\143\30\0\1\143\53\0\1\144"+
    "\30\0\1\144\16\0\1\144\10\0\1\145\1\0\1\145"+
    "\37\0\1\145\1\0\1\145\41\0\1\145\1\0\1\145"+
    "\4\0\3\70\30\0\1\145\1\0\1\145\41\0\1\145"+
    "\1\0\1\145\7\70\30\0\1\145\1\0\1\145\41\0"+
    "\1\145\1\0\1\145\3\70\34\0\1\145\1\0\1\145"+
    "\74\0\1\146\30\0\1\146\24\0\7\147\77\0\3\150"+
    "\1\151\3\152\116\0\1\153\30\0\1\153\35\0\7\154"+
    "\65\0\3\102\1\0\1\103\1\0\1\104\1\105\1\0"+
    "\1\105\7\155\2\0\1\107\13\0\1\156\10\0\1\157"+
    "\1\105\1\0\1\105\1\107\13\0\1\156\54\0\1\160"+
    "\30\0\1\160\15\0\3\104\1\0\1\161\1\0\1\104"+
    "\3\0\7\155\16\0\1\156\10\0\1\46\17\0\1\156"+
    "\15\0\3\105\1\0\1\162\1\163\4\0\1\164\1\165"+
    "\1\166\4\164\65\0\3\167\1\0\1\170\1\0\1\104"+
    "\1\171\1\0\1\171\7\172\2\0\1\107\24\0\1\110"+
    "\1\171\1\0\1\171\1\107\70\0\1\173\30\0\1\173"+
    "\52\0\1\174\30\0\1\174\17\0\3\167\1\0\1\170"+
    "\1\0\1\104\1\171\1\0\1\171\4\172\3\175\2\0"+
    "\1\107\24\0\1\110\1\171\1\0\1\171\1\107\31\0"+
    "\3\167\1\0\1\170\1\0\1\104\1\171\1\0\1\171"+
    "\7\176\2\0\1\107\24\0\1\110\1\171\1\0\1\171"+
    "\1\107\31\0\3\167\1\0\1\170\1\0\1\104\1\171"+
    "\1\0\1\171\3\176\4\172\2\0\1\107\24\0\1\110"+
    "\1\171\1\0\1\171\1\107\31\0\3\114\1\0\1\115"+
    "\1\41\4\0\1\117\1\120\1\121\4\117\27\0\1\46"+
    "\74\0\1\177\30\0\1\177\15\0\3\114\1\0\1\115"+
    "\1\41\4\0\1\117\1\120\1\121\4\117\27\0\1\46"+
    "\30\0\1\114\4\0\3\102\1\0\1\103\1\0\1\104"+
    "\1\105\1\200\1\105\7\201\2\0\1\107\24\0\1\110"+
    "\1\105\1\0\1\105\1\107\31\0\3\102\1\0\1\103"+
    "\1\0\1\104\1\105\1\200\1\105\5\201\1\202\1\203"+
    "\2\0\1\107\24\0\1\110\1\105\1\0\1\105\1\107"+
    "\31\0\3\102\1\0\1\103\1\0\1\104\1\105\1\200"+
    "\1\105\1\204\6\201\2\0\1\107\24\0\1\110\1\105"+
    "\1\0\1\105\1\107\31\0\3\114\1\0\1\115\1\41"+
    "\2\0\1\114\1\0\1\117\1\120\1\121\4\117\27\0"+
    "\1\46\73\0\1\205\30\0\1\205\52\0\1\206\30\0"+
    "\1\206\16\0\1\206\30\0\1\207\30\0\1\207\25\0"+
    "\3\210\1\0\1\211\3\0\1\210\14\0\1\212\1\0"+
    "\1\213\10\0\1\214\15\0\1\212\1\0\1\213\10\0"+
    "\1\214\53\0\1\215\30\0\1\215\51\0\1\216\30\0"+
    "\1\216\16\0\1\216\25\0\1\217\30\0\1\217\67\0"+
    "\1\220\30\0\1\220\27\0\7\134\77\0\7\221\77\0"+
    "\5\221\1\222\1\223\77\0\1\224\6\221\124\0\1\225"+
    "\30\0\1\225\51\0\1\226\30\0\1\226\16\0\1\226"+
    "\25\0\1\227\30\0\1\227\30\0\3\61\1\0\1\62"+
    "\3\0\1\61\1\0\7\24\6\0\1\230\20\0\1\66"+
    "\7\0\1\230\61\0\1\231\30\0\1\231\16\0\1\231"+
    "\40\0\1\232\30\0\1\232\22\0\1\233\4\0\1\234"+
    "\1\235\1\236\4\234\114\0\1\237\30\0\1\237\32\0"+
    "\1\240\1\0\1\241\1\0\1\241\37\0\1\241\1\0"+
    "\1\241\37\0\1\147\1\0\1\241\1\0\1\241\1\242"+
    "\5\0\1\243\30\0\1\241\1\0\1\241\37\0\1\147"+
    "\1\0\1\241\1\0\1\241\6\0\1\243\30\0\1\241"+
    "\1\0\1\241\37\0\1\147\1\0\1\241\1\0\1\241"+
    "\5\0\2\243\30\0\1\241\1\0\1\241\32\0\3\244"+
    "\1\0\1\245\3\0\1\244\14\0\1\246\1\0\1\247"+
    "\10\0\1\250\15\0\1\246\1\0\1\247\10\0\1\250"+
    "\14\0\3\154\1\0\1\251\2\0\1\252\1\0\1\252"+
    "\37\0\1\252\1\0\1\252\32\0\3\253\1\0\1\254"+
    "\1\0\1\104\2\0\1\255\7\155\2\0\1\256\24\0"+
    "\1\257\1\255\2\0\1\256\31\0\3\260\1\0\1\261"+
    "\3\0\1\262\1\0\7\155\17\0\1\263\1\0\1\263"+
    "\2\0\1\264\2\0\1\46\20\0\1\263\1\0\1\263"+
    "\2\0\1\264\2\0\1\260\41\0\1\265\30\0\1\265"+
    "\43\0\1\266\30\0\1\266\67\0\1\267\30\0\1\267"+
    "\54\0\1\270\30\0\1\270\27\0\7\164\77\0\7\271"+
    "\77\0\5\271\1\272\1\273\77\0\1\274\6\271\65\0"+
    "\3\167\1\0\1\170\1\0\1\104\1\171\1\0\1\171"+
    "\7\155\2\0\1\107\13\0\1\156\10\0\1\157\1\171"+
    "\1\0\1\171\1\107\13\0\1\156\54\0\1\275\30\0"+
    "\1\275\15\0\3\171\1\0\1\276\1\163\4\0\1\277"+
    "\1\300\1\301\4\302\65\0\3\102\1\0\1\103\1\0"+
    "\1\104\1\105\1\0\1\105\7\172\2\0\1\107\24\0"+
    "\1\110\1\105\1\0\1\105\1\107\70\0\1\303\30\0"+
    "\1\303\51\0\1\304\30\0\1\304\16\0\1\304\1\0"+
    "\3\102\1\0\1\103\1\0\1\104\1\105\1\0\1\105"+
    "\7\305\2\0\1\107\24\0\1\110\1\105\1\0\1\105"+
    "\1\107\31\0\3\102\1\0\1\103\1\0\1\104\1\105"+
    "\1\0\1\105\7\306\2\0\1\107\24\0\1\110\1\105"+
    "\1\0\1\105\1\107\55\0\1\307\30\0\1\307\43\0"+
    "\1\310\1\311\71\0\3\167\1\0\1\170\1\0\1\104"+
    "\1\171\1\200\1\171\7\312\2\0\1\107\24\0\1\110"+
    "\1\171\1\0\1\171\1\107\31\0\3\167\1\0\1\170"+
    "\1\0\1\104\1\171\1\200\1\171\4\312\3\313\2\0"+
    "\1\107\24\0\1\110\1\171\1\0\1\171\1\107\31\0"+
    "\3\167\1\0\1\170\1\0\1\104\1\171\1\200\1\171"+
    "\7\117\2\0\1\107\24\0\1\110\1\171\1\0\1\171"+
    "\1\107\31\0\3\167\1\0\1\170\1\0\1\104\1\171"+
    "\1\200\1\171\3\117\4\312\2\0\1\107\24\0\1\110"+
    "\1\171\1\0\1\171\1\107\31\0\3\114\1\0\1\115"+
    "\1\41\2\0\1\114\1\0\1\117\1\120\1\121\4\117"+
    "\6\0\1\314\20\0\1\46\7\0\1\314\64\0\1\315"+
    "\30\0\1\315\61\0\1\316\30\0\1\316\10\0\3\210"+
    "\1\0\1\211\20\0\1\212\1\0\1\213\26\0\1\212"+
    "\1\0\1\213\64\0\1\317\30\0\1\317\55\0\1\320"+
    "\30\0\1\320\61\0\1\321\30\0\1\321\44\0\1\322"+
    "\30\0\1\322\40\0\1\323\123\0\1\324\30\0\1\324"+
    "\60\0\1\325\30\0\1\325\6\0\1\325\26\0\1\326"+
    "\30\0\1\326\46\0\3\134\77\0\3\134\124\0\1\56"+
    "\4\0\1\56\23\0\1\56\4\0\1\56\10\0\1\56"+
    "\42\0\1\327\30\0\1\327\60\0\1\330\30\0\1\330"+
    "\6\0\1\330\44\0\1\331\30\0\1\331\51\0\1\332"+
    "\30\0\1\332\36\0\1\333\71\0\1\334\4\0\1\234"+
    "\1\235\1\236\4\234\77\0\7\335\77\0\5\335\1\336"+
    "\1\337\77\0\1\340\6\335\131\0\1\341\30\0\1\341"+
    "\17\0\1\241\1\0\1\241\37\0\1\241\1\0\1\241"+
    "\44\0\7\342\101\0\1\147\104\0\1\147\72\0\3\244"+
    "\1\0\1\245\20\0\1\246\1\0\1\247\26\0\1\246"+
    "\1\0\1\247\64\0\1\343\30\0\1\343\55\0\1\344"+
    "\30\0\1\344\61\0\1\345\30\0\1\345\44\0\1\346"+
    "\30\0\1\346\56\0\1\347\30\0\1\347\15\0\3\252"+
    "\1\0\1\350\5\0\7\351\65\0\3\253\1\0\1\254"+
    "\1\0\1\104\2\0\1\255\7\155\2\0\1\256\13\0"+
    "\1\156\10\0\1\352\1\255\2\0\1\256\13\0\1\156"+
    "\54\0\1\353\30\0\1\353\15\0\3\255\1\0\1\354"+
    "\1\355\4\0\1\356\1\357\1\360\4\356\124\0\1\361"+
    "\30\0\1\361\52\0\1\362\30\0\1\362\17\0\3\260"+
    "\1\0\1\261\5\0\7\155\27\0\1\46\74\0\1\363"+
    "\30\0\1\363\15\0\3\260\1\0\1\261\5\0\7\155"+
    "\27\0\1\46\30\0\1\260\4\0\3\260\1\0\1\261"+
    "\3\0\1\260\1\0\7\155\27\0\1\46\73\0\1\364"+
    "\30\0\1\364\52\0\1\365\30\0\1\365\16\0\1\365"+
    "\44\0\1\366\30\0\1\366\6\0\1\366\26\0\1\367"+
    "\30\0\1\367\54\0\1\370\30\0\1\370\27\0\3\371"+
    "\1\372\7\371\7\0\67\371\1\372\7\371\4\0\3\164"+
    "\67\371\1\372\7\371\7\164\67\371\1\372\7\371\3\164"+
    "\4\0\64\371\25\0\1\373\30\0\1\373\67\0\1\374"+
    "\30\0\1\374\14\0\3\375\1\376\7\375\7\377\67\375"+
    "\1\376\7\375\6\377\1\u0100\67\375\1\376\7\375\1\u0101"+
    "\6\377\67\375\1\376\7\375\1\u0102\6\377\64\375\34\0"+
    "\1\105\4\0\1\105\23\0\1\105\4\0\1\105\10\0"+
    "\1\105\42\0\1\u0103\30\0\1\u0103\15\0\3\u0104\1\0"+
    "\1\u0105\1\0\1\104\1\u0106\1\0\1\u0106\7\172\2\0"+
    "\1\107\24\0\1\110\1\u0106\1\0\1\u0106\1\107\31\0"+
    "\3\u0107\1\0\1\u0108\1\0\1\104\1\u0109\1\0\1\u0109"+
    "\7\172\2\0\1\107\24\0\1\110\1\u0109\1\0\1\u0109"+
    "\1\107\74\0\1\u010a\30\0\1\u010a\6\0\1\u010a\21\0"+
    "\1\u010b\1\163\77\0\1\u010c\73\0\3\102\1\0\1\103"+
    "\1\0\1\104\1\105\1\200\1\105\7\312\2\0\1\107"+
    "\24\0\1\110\1\105\1\0\1\105\1\107\31\0\3\102"+
    "\1\0\1\103\1\0\1\104\1\105\1\200\1\105\7\u010d"+
    "\2\0\1\107\24\0\1\110\1\105\1\0\1\105\1\107"+
    "\73\0\1\u010e\30\0\1\u010e\33\0\1\u010f\130\0\1\u0110"+
    "\30\0\1\u0110\34\0\1\u0111\30\0\1\u0111\66\0\1\u0112"+
    "\30\0\1\u0112\60\0\1\u0113\30\0\1\u0113\35\0\1\u0114"+
    "\30\0\1\u0114\54\0\25\u0115\3\0\1\u0115\73\0\1\u0116"+
    "\30\0\1\u0116\56\0\1\u0117\30\0\1\u0117\6\0\1\u0117"+
    "\23\0\1\u0118\125\0\1\u0119\30\0\1\u0119\46\0\1\61"+
    "\4\0\1\61\23\0\1\61\4\0\1\61\10\0\1\61"+
    "\24\0\1\u011a\107\0\20\u011b\1\u011c\4\u011b\3\0\1\u011b"+
    "\20\0\1\u011d\6\0\1\u011d\14\0\7\234\103\0\3\234"+
    "\77\0\3\234\135\0\1\u011e\30\0\1\u011e\22\0\3\u011f"+
    "\1\u0120\3\u0121\111\0\1\u0122\30\0\1\u0122\66\0\1\u0123"+
    "\30\0\1\u0123\60\0\1\u0124\30\0\1\u0124\35\0\1\u0125"+
    "\30\0\1\u0125\55\0\1\u0126\30\0\1\u0126\67\0\1\u0127"+
    "\30\0\1\u0127\14\0\3\375\1\376\7\375\7\351\64\375"+
    "\36\0\1\u0128\30\0\1\u0128\43\0\1\u0129\30\0\1\u0129"+
    "\67\0\1\u012a\30\0\1\u012a\27\0\7\356\77\0\7\u012b"+
    "\77\0\5\u012b\1\u012c\1\u012d\77\0\1\u012e\6\u012b\124\0"+
    "\1\u012f\30\0\1\u012f\51\0\1\u0130\30\0\1\u0130\16\0"+
    "\1\u0130\25\0\1\u0131\30\0\1\u0131\30\0\3\260\1\0"+
    "\1\261\3\0\1\260\1\0\7\155\6\0\1\u0132\20\0"+
    "\1\46\7\0\1\u0132\64\0\1\u0133\30\0\1\u0133\56\0"+
    "\1\u0134\30\0\1\u0134\56\0\1\u0135\30\0\1\u0135\6\0"+
    "\1\u0135\45\0\1\u0136\30\0\1\u0136\6\0\1\u0136\3\0"+
    "\1\371\147\0\1\u0137\30\0\1\u0137\6\0\1\u0137\26\0"+
    "\1\u0138\30\0\1\u0138\31\0\1\375\103\0\3\371\1\372"+
    "\7\371\7\u0139\67\371\1\372\7\371\7\u013a\67\371\1\372"+
    "\7\371\3\u013a\4\u0139\67\371\1\372\7\371\7\u013b\64\371"+
    "\22\0\1\u013c\64\0\3\u0104\1\0\1\u0105\1\0\1\104"+
    "\1\u0106\1\0\1\u0106\7\155\2\0\1\107\13\0\1\156"+
    "\10\0\1\157\1\u0106\1\0\1\u0106\1\107\13\0\1\156"+
    "\54\0\1\u013d\30\0\1\u013d\15\0\3\u0106\1\0\1\u013e"+
    "\1\163\4\0\1\277\1\u013f\1\301\4\302\65\0\3\u0107"+
    "\1\0\1\u0108\1\0\1\104\1\u0109\1\0\1\u0109\7\155"+
    "\2\0\1\107\13\0\1\156\10\0\1\157\1\u0109\1\0"+
    "\1\u0109\1\107\13\0\1\156\54\0\1\u0140\30\0\1\u0140"+
    "\15\0\3\u0109\1\0\1\u0141\1\163\4\0\1\277\1\u0142"+
    "\1\u0143\4\302\126\0\1\u0144\30\0\1\u0144\31\0\3\164"+
    "\77\0\3\164\71\0\3\u0104\1\0\1\u0105\1\0\1\104"+
    "\1\u0106\1\200\1\u0106\7\312\2\0\1\107\24\0\1\110"+
    "\1\u0106\1\0\1\u0106\1\107\64\0\1\114\4\0\1\114"+
    "\23\0\1\114\4\0\1\114\10\0\1\114\46\0\1\u0145"+
    "\30\0\1\u0145\6\0\1\u0145\35\0\1\u0146\30\0\1\u0146"+
    "\15\0\1\u0146\46\0\1\u0147\30\0\1\u0147\6\0\1\u0147"+
    "\47\0\1\u0148\30\0\1\u0148\47\0\1\u0149\30\0\1\u0149"+
    "\52\0\1\u014a\30\0\1\u014a\37\0\1\u014b\1\0\25\u0115"+
    "\3\0\1\u0115\54\0\1\54\124\0\1\u014c\30\0\1\u014c"+
    "\56\0\1\u014d\30\0\1\u014d\6\0\1\u014d\24\0\1\61"+
    "\126\0\1\u011d\30\0\1\u011d\6\0\1\u011d\23\0\1\u014e"+
    "\1\0\25\u011b\3\0\1\u011b\53\0\1\u014e\1\0\21\u011b"+
    "\1\u014f\3\u011b\3\0\1\u011b\21\0\1\u0150\54\0\1\u0150"+
    "\30\0\1\u0150\43\0\1\u0151\30\0\1\u0151\15\0\1\u0151"+
    "\10\0\1\u0152\4\0\1\u0153\5\0\1\u0154\72\0\1\u0152"+
    "\12\0\1\u0154\72\0\1\u0152\11\0\2\u0154\130\0\1\u0155"+
    "\30\0\1\u0155\6\0\1\u0155\47\0\1\u0156\30\0\1\u0156"+
    "\47\0\1\u0157\30\0\1\u0157\52\0\1\u0158\30\0\1\u0158"+
    "\61\0\1\u0159\30\0\1\u0159\6\0\1\u0159\26\0\1\u015a"+
    "\30\0\1\u015a\64\0\1\u015b\30\0\1\u015b\16\0\1\u015b"+
    "\44\0\1\u015c\30\0\1\u015c\6\0\1\u015c\26\0\1\u015d"+
    "\30\0\1\u015d\27\0\3\u015e\1\u015f\7\u015e\7\0\67\u015e"+
    "\1\u015f\7\u015e\4\0\3\356\67\u015e\1\u015f\7\u015e\7\356"+
    "\67\u015e\1\u015f\7\u015e\3\356\4\0\64\u015e\34\0\1\255"+
    "\4\0\1\255\23\0\1\255\4\0\1\255\10\0\1\255"+
    "\42\0\1\u0160\30\0\1\u0160\60\0\1\u0161\30\0\1\u0161"+
    "\6\0\1\u0161\44\0\1\u0162\30\0\1\u0162\33\0\1\u0163"+
    "\106\0\1\102\124\0\1\u0164\30\0\1\u0164\54\0\1\u0165"+
    "\30\0\1\u0165\54\0\1\u0166\30\0\1\u0166\56\0\1\u0167"+
    "\30\0\1\u0167\6\0\1\u0167\1\0\3\375\1\376\7\375"+
    "\7\u0168\67\375\1\376\7\375\7\u0169\67\375\1\376\7\375"+
    "\7\u016a\64\375\44\0\1\u016b\30\0\1\u016b\6\0\1\u016b"+
    "\26\0\1\u016c\30\0\1\u016c\67\0\1\u016d\30\0\1\u016d"+
    "\14\0\3\375\1\376\7\375\5\377\1\u016e\1\u0100\64\375"+
    "\25\0\1\u016f\30\0\1\u016f\67\0\1\u0170\30\0\1\u0170"+
    "\14\0\3\375\1\376\7\375\6\377\1\u0171\67\375\1\376"+
    "\7\375\1\u0172\6\377\64\375\23\0\1\114\127\0\1\u0173"+
    "\30\0\1\u0173\56\0\1\u0174\30\0\1\u0174\47\0\1\u0175"+
    "\30\0\1\u0175\52\0\1\u0176\30\0\1\u0176\56\0\1\u0177"+
    "\30\0\1\u0177\42\0\1\u0178\30\0\1\u0178\24\0\2\u014b"+
    "\3\0\15\u014b\1\u0179\26\u014b\1\0\1\u014b\1\0\32\u014b"+
    "\23\0\1\56\127\0\1\u017a\30\0\1\u017a\7\0\2\u014e"+
    "\3\0\15\u014e\1\u017b\26\u014e\1\0\1\u014e\1\0\32\u014e"+
    "\22\0\1\u014e\1\0\16\u011b\1\u017c\6\u011b\3\0\1\u011b"+
    "\16\0\1\u017d\54\0\1\u017d\30\0\1\u017d\61\0\1\u017e"+
    "\30\0\1\u017e\22\0\1\u0152\104\0\1\u0152\133\0\1\u017f"+
    "\30\0\1\u017f\52\0\1\u0180\30\0\1\u0180\56\0\1\u0181"+
    "\30\0\1\u0181\42\0\1\u0182\30\0\1\u0182\66\0\1\u0183"+
    "\30\0\1\u0183\56\0\1\u0184\30\0\1\u0184\6\0\1\u0184"+
    "\41\0\1\u0185\30\0\1\u0185\56\0\1\u0186\30\0\1\u0186"+
    "\56\0\1\u0187\30\0\1\u0187\6\0\1\u0187\3\0\1\u015e"+
    "\125\0\1\u0188\125\0\1\u0189\30\0\1\u0189\53\0\1\260"+
    "\30\0\1\260\57\0\1\u018a\30\0\1\u018a\6\0\1\u018a"+
    "\24\0\1\104\105\0\1\105\105\0\1\167\124\0\1\u018b"+
    "\30\0\1\u018b\12\0\3\375\1\376\7\375\7\u018c\64\375"+
    "\3\371\1\372\7\371\7\u018c\64\371\13\0\7\u018c\131\0"+
    "\1\u018d\30\0\1\u018d\53\0\1\u018e\30\0\1\u018e\6\0"+
    "\1\u018e\26\0\1\u018f\30\0\1\u018f\27\0\3\371\1\372"+
    "\7\371\4\u0139\3\u013a\64\371\44\0\1\u0190\30\0\1\u0190"+
    "\6\0\1\u0190\26\0\1\u0191\30\0\1\u0191\27\0\3\371"+
    "\1\372\7\371\7\u0192\67\371\1\372\7\371\3\u0192\4\u0139"+
    "\64\371\42\0\1\u0193\30\0\1\u0193\36\0\1\u0194\3\0"+
    "\1\u0194\24\0\1\u0194\3\0\1\u0194\47\0\1\210\116\0"+
    "\1\u0195\30\0\1\u0195\15\0\1\u0195\32\0\1\u0196\30\0"+
    "\1\u0196\64\0\1\u0197\30\0\1\u0197\27\0\7\u0198\126\0"+
    "\1\u0199\30\0\1\u0199\25\0\7\u019a\106\0\1\u014e\1\0"+
    "\24\u011b\1\u019b\3\0\1\u011b\24\0\1\u019c\54\0\1\u019c"+
    "\30\0\1\u019c\30\0\1\u019d\3\0\1\u019d\24\0\1\u019d"+
    "\3\0\1\u019d\47\0\1\244\116\0\1\u019e\30\0\1\u019e"+
    "\15\0\1\u019e\32\0\1\u019f\30\0\1\u019f\64\0\1\u01a0"+
    "\30\0\1\u01a0\37\0\1\154\124\0\1\u01a1\30\0\1\u01a1"+
    "\34\0\1\u01a2\106\0\1\253\124\0\1\u01a3\30\0\1\u01a3"+
    "\56\0\1\u01a4\30\0\1\u01a4\6\0\1\u01a4\24\0\1\260"+
    "\127\0\1\u01a5\30\0\1\u01a5\32\0\1\171\62\0\3\375"+
    "\1\376\7\375\7\u01a6\64\375\42\0\1\u01a7\30\0\1\u01a7"+
    "\54\0\1\u01a8\30\0\1\u01a8\56\0\1\u01a9\30\0\1\u01a9"+
    "\6\0\1\u01a9\43\0\1\u01aa\30\0\1\u01aa\56\0\1\u01ab"+
    "\30\0\1\u01ab\6\0\1\u01ab\1\0\3\375\1\376\7\375"+
    "\7\u01ac\64\375\50\0\1\u01ad\30\0\1\u01ad\5\0\3\u0194"+
    "\1\0\1\u01ae\1\u01af\4\0\1\u01b0\1\u01b1\1\u01b2\4\u01b0"+
    "\4\0\1\u01b3\1\0\1\u01b4\26\0\1\u01b3\1\0\1\u01b4"+
    "\71\0\1\u01b5\30\0\1\u01b5\33\0\1\u01b6\3\0\1\u01b6"+
    "\3\0\1\u01b6\4\0\1\u01b6\13\0\1\u01b6\3\0\1\u01b6"+
    "\3\0\1\u01b6\4\0\1\u01b6\60\0\1\u01b7\30\0\1\u01b7"+
    "\22\0\7\u0198\31\0\1\u01b8\102\0\1\u01b9\30\0\1\u01b9"+
    "\17\0\7\u019a\31\0\1\u01ba\54\0\1\u01bb\1\0\25\u011b"+
    "\3\0\1\u011b\53\0\1\u01bc\64\0\3\u019d\1\0\1\u01bd"+
    "\20\0\1\246\1\0\1\247\26\0\1\246\1\0\1\247"+
    "\71\0\1\u01be\30\0\1\u01be\33\0\1\u01bf\3\0\1\u01bf"+
    "\3\0\1\u01bf\4\0\1\u01bf\13\0\1\u01bf\3\0\1\u01bf"+
    "\3\0\1\u01bf\4\0\1\u01bf\60\0\1\u01c0\30\0\1\u01c0"+
    "\32\0\1\252\126\0\1\u01c1\30\0\1\u01c1\6\0\1\u01c1"+
    "\24\0\1\255\127\0\1\u01c2\30\0\1\u01c2\51\0\1\u01c3"+
    "\30\0\1\u01c3\12\0\3\375\1\376\7\375\7\u01c4\64\375"+
    "\50\0\1\u01c5\30\0\1\u01c5\27\0\1\u0104\124\0\1\u01c6"+
    "\30\0\1\u01c6\35\0\1\u0107\124\0\1\u01c7\30\0\1\u01c7"+
    "\12\0\3\u01c8\1\u01c9\7\u01c8\7\u018c\64\u01c8\22\0\1\u01ca"+
    "\123\0\1\u01cb\30\0\1\u01cb\27\0\7\u01b0\77\0\7\u01cc"+
    "\77\0\5\u01cc\1\u01cd\1\u01ce\77\0\1\u01cf\6\u01cc\125\0"+
    "\1\u01d0\30\0\1\u01d0\61\0\1\u01d1\30\0\1\u01d1\32\0"+
    "\1\u01d2\30\0\1\u01d2\31\0\3\u01b6\1\0\1\u01d3\1\u01d4"+
    "\4\0\1\u01d5\1\u01d6\1\u01d7\4\u01d5\120\0\1\210\4\0"+
    "\1\210\23\0\1\210\4\0\1\210\35\0\1\u01d8\63\0"+
    "\51\u01d9\1\0\34\u01d9\2\u014e\3\0\15\u014e\1\u017b\6\u014e"+
    "\1\u01da\13\u014e\1\u01db\3\u014e\1\0\1\u014e\1\0\6\u014e"+
    "\1\u01da\13\u014e\1\u01db\7\u014e\31\0\1\u01dc\13\0\1\u01dd"+
    "\14\0\1\u01dc\13\0\1\u01dd\47\0\1\u01de\30\0\1\u01de"+
    "\40\0\1\u01df\30\0\1\u01df\31\0\3\u01bf\1\0\1\u01e0"+
    "\134\0\1\244\4\0\1\244\23\0\1\244\4\0\1\244"+
    "\60\0\1\u01e1\30\0\1\u01e1\51\0\1\u01e2\30\0\1\u01e2"+
    "\62\0\1\u01e3\30\0\1\u01e3\4\0\3\375\1\376\7\375"+
    "\7\0\64\375\22\0\1\u01e4\106\0\1\u0106\105\0\1\u0109"+
    "\64\0\1\u01c8\134\0\1\u01e5\30\0\1\u01e5\50\0\1\u01e6"+
    "\30\0\1\u01e6\37\0\1\u01e7\1\0\1\u01e7\37\0\1\u01e7"+
    "\1\0\1\u01e7\41\0\1\u01e7\1\0\1\u01e7\4\0\3\u01b0"+
    "\30\0\1\u01e7\1\0\1\u01e7\41\0\1\u01e7\1\0\1\u01e7"+
    "\7\u01b0\30\0\1\u01e7\1\0\1\u01e7\41\0\1\u01e7\1\0"+
    "\1\u01e7\3\u01b0\34\0\1\u01e7\1\0\1\u01e7\70\0\1\u01e8"+
    "\30\0\1\u01e8\60\0\1\u01e9\30\0\1\u01e9\54\0\1\u01ea"+
    "\30\0\1\u01ea\51\0\1\u01eb\30\0\1\u01eb\27\0\7\u01d5"+
    "\77\0\7\u01ec\77\0\5\u01ec\1\u01ed\1\u01ee\77\0\1\u01ef"+
    "\6\u01ec\120\0\1\u01f0\4\0\1\u01f1\23\0\1\u01f0\4\0"+
    "\1\u01f1\10\0\1\u01f0\2\0\51\u01d9\1\u01f2\34\u01d9\2\u014e"+
    "\3\0\15\u014e\1\u017b\20\u014e\1\u01f3\5\u014e\1\0\1\u014e"+
    "\1\0\20\u014e\1\u01f3\13\u014e\3\0\15\u014e\1\u017b\16\u014e"+
    "\1\u01f4\7\u014e\1\0\1\u014e\1\0\16\u014e\1\u01f4\13\u014e"+
    "\43\0\1\u01f5\30\0\1\u01f5\52\0\1\u01f6\30\0\1\u01f6"+
    "\40\0\1\u01f7\30\0\1\u01f7\72\0\1\u01f8\30\0\1\u01f8"+
    "\51\0\1\u01f9\30\0\1\u01f9\56\0\1\u01fa\30\0\1\u01fa"+
    "\62\0\1\u01fb\30\0\1\u01fb\26\0\1\u01fc\107\0\1\u01fd"+
    "\7\0\1\u01fe\4\0\1\u01ff\13\0\1\u01fd\7\0\1\u01fe"+
    "\4\0\1\u01ff\10\0\1\u01fe\45\0\1\u0200\30\0\1\u0200"+
    "\55\0\1\u0201\30\0\1\u0201\6\0\1\u0201\7\0\1\u0202"+
    "\4\0\1\u0203\1\u0204\1\u0205\4\u0203\132\0\1\u0206\30\0"+
    "\1\u0206\47\0\1\u0207\30\0\1\u0207\47\0\1\u0208\30\0"+
    "\1\u0208\15\0\1\u0208\27\0\1\u0209\30\0\1\u0209\37\0"+
    "\1\u020a\1\0\1\u020a\37\0\1\u020a\1\0\1\u020a\41\0"+
    "\1\u020a\1\0\1\u020a\4\0\3\u01d5\30\0\1\u020a\1\0"+
    "\1\u020a\41\0\1\u020a\1\0\1\u020a\7\u01d5\30\0\1\u020a"+
    "\1\0\1\u020a\41\0\1\u020a\1\0\1\u020a\3\u01d5\34\0"+
    "\1\u020a\1\0\1\u020a\71\0\1\u020b\30\0\1\u020b\45\0"+
    "\1\u020b\30\0\1\u020b\35\0\1\u020c\73\0\2\u014e\3\0"+
    "\15\u014e\1\u017b\16\u014e\1\u020d\7\u014e\1\0\1\u014e\1\0"+
    "\16\u014e\1\u020d\15\u014e\3\0\15\u014e\1\u020e\26\u014e\1\0"+
    "\1\u014e\1\0\32\u014e\41\0\1\u020f\30\0\1\u020f\35\0"+
    "\1\u0210\127\0\1\u0211\30\0\1\u0211\6\0\1\u0211\35\0"+
    "\1\u0212\30\0\1\u0212\15\0\1\u0212\27\0\1\u0213\30\0"+
    "\1\u0213\77\0\1\u0214\30\0\1\u0214\26\0\1\u0215\107\0"+
    "\1\u01fd\4\0\1\u01e5\2\0\1\u01fe\4\0\1\u01ff\13\0"+
    "\1\u01fd\4\0\1\u01e5\2\0\1\u01fe\4\0\1\u01ff\10\0"+
    "\1\u01fe\42\0\1\u0216\30\0\1\u0216\54\0\1\u0217\30\0"+
    "\1\u0217\45\0\1\u0217\30\0\1\u0217\64\0\1\u0218\30\0"+
    "\1\u0218\55\0\1\u0219\30\0\1\u0219\20\0\1\u021a\4\0"+
    "\1\u0203\1\u0204\1\u0205\4\u0203\77\0\7\u021b\77\0\5\u021b"+
    "\1\u021c\1\u021d\77\0\1\u021e\6\u021b\124\0\1\u021f\30\0"+
    "\1\u021f\56\0\1\u0220\30\0\1\u0220\13\0\3\u01b6\1\0"+
    "\1\u01d3\1\u01d4\4\0\1\u01d5\1\u01d6\1\u01d7\4\u01d5\2\0"+
    "\1\u01b6\3\0\1\u01b6\10\0\1\u01b6\13\0\1\u01b6\3\0"+
    "\1\u01b6\10\0\1\u01b6\57\0\1\u0221\30\0\1\u0221\6\0"+
    "\1\u0221\7\0\1\u0222\4\0\1\u0223\1\u0224\1\u0225\4\u0223"+
    "\106\0\1\u0226\121\0\1\u0227\30\0\1\u0227\16\0\2\u014e"+
    "\3\0\15\u014e\1\u017b\14\u014e\1\u01f4\11\u014e\1\0\1\u014e"+
    "\1\0\14\u014e\1\u01f4\15\u014e\13\0\7\u0228\123\0\1\u01f6"+
    "\30\0\1\u01f6\30\0\7\u0229\126\0\1\u022a\30\0\1\u022a"+
    "\13\0\3\u01bf\1\0\1\u01e0\16\0\1\u01bf\3\0\1\u01bf"+
    "\10\0\1\u01bf\13\0\1\u01bf\3\0\1\u01bf\10\0\1\u01bf"+
    "\57\0\1\u022b\30\0\1\u022b\6\0\1\u022b\23\0\1\u022c"+
    "\107\0\1\u01fd\7\0\1\u022d\4\0\1\u022e\13\0\1\u01fd"+
    "\7\0\1\u022d\4\0\1\u022e\10\0\1\u022d\31\0\1\u022f"+
    "\30\0\1\u022f\47\0\1\u0230\122\0\1\u0231\30\0\1\u0231"+
    "\40\0\1\u0194\75\0\7\u0232\64\0\3\u0233\1\u0234\7\u0233"+
    "\7\0\67\u0233\1\u0234\7\u0233\4\0\3\u0232\67\u0233\1\u0234"+
    "\7\u0233\7\u0232\67\u0233\1\u0234\7\u0233\3\u0232\4\0\64\u0233"+
    "\34\0\1\u0235\30\0\1\u0235\15\0\1\u0235\32\0\1\u0236"+
    "\30\0\1\u0236\66\0\1\u0237\30\0\1\u0237\20\0\1\u0238"+
    "\4\0\1\u0223\1\u0224\1\u0225\4\u0223\77\0\7\u0239\77\0"+
    "\5\u0239\1\u023a\1\u023b\77\0\1\u023c\6\u0239\77\0\7\u023d"+
    "\121\0\1\u023e\30\0\1\u023e\16\0\1\u023e\13\0\7\u0228"+
    "\31\0\1\u023f\45\0\7\u0229\31\0\1\u0240\55\0\1\u019d"+
    "\124\0\1\u0241\30\0\1\u0241\36\0\1\u01fd\4\0\1\u01e5"+
    "\2\0\1\u022d\4\0\1\u022e\13\0\1\u01fd\4\0\1\u01e5"+
    "\2\0\1\u022d\4\0\1\u022e\10\0\1\u022d\42\0\1\u0242"+
    "\30\0\1\u0242\45\0\1\u0242\30\0\1\u0242\45\0\1\u0243"+
    "\76\0\7\u0244\106\0\1\u0245\76\0\7\u0246\66\0\1\u0233"+
    "\150\0\1\u0247\30\0\1\u0247\33\0\1\u0248\3\0\1\u0248"+
    "\3\0\1\u0248\4\0\1\u0248\13\0\1\u0248\3\0\1\u0248"+
    "\3\0\1\u0248\4\0\1\u0248\36\0\1\u01b6\75\0\7\u0249"+
    "\64\0\3\u024a\1\u024b\7\u024a\7\0\67\u024a\1\u024b\7\u024a"+
    "\4\0\3\u0249\67\u024a\1\u024b\7\u024a\7\u0249\67\u024a\1\u024b"+
    "\7\u024a\3\u0249\4\0\64\u024a\13\0\7\u023d\31\0\1\u024c"+
    "\72\0\1\u024d\30\0\1\u024d\14\0\51\u024e\1\0\34\u024e"+
    "\51\u024f\1\0\34\u024f\23\0\1\u01bf\104\0\1\u0250\76\0"+
    "\7\u0251\77\0\7\u0244\31\0\1\u0252\45\0\7\u0253\64\0"+
    "\3\u0254\1\u0255\7\u0254\7\0\64\u0254\24\0\1\u0256\30\0"+
    "\1\u0256\31\0\3\u0248\1\0\1\u0257\1\u01af\4\0\1\u01b0"+
    "\1\u01b1\1\u01b2\4\u01b0\77\0\7\u0258\66\0\1\u024a\103\0"+
    "\51\u0259\1\0\34\u0259\53\0\1\u025a\32\0\51\u024e\1\u025b"+
    "\34\u024e\51\u024f\1\u025c\34\u024f\13\0\7\u025d\77\0\7\u0251"+
    "\31\0\1\u025e\32\0\51\u025f\1\0\34\u025f\13\0\7\u0253"+
    "\31\0\1\u0260\34\0\1\u0254\146\0\1\u0261\30\0\1\u0261"+
    "\51\0\1\u0262\30\0\1\u0262\14\0\3\u0263\1\u0264\7\u0263"+
    "\7\0\64\u0263\51\u0259\1\u0265\34\u0259\12\0\1\u0266\105\0"+
    "\1\u0267\106\0\7\u025d\31\0\1\u0268\32\0\51\u0269\1\0"+
    "\34\u0269\51\u025f\1\u026a\34\u025f\51\u026b\1\0\34\u026b\34\0"+
    "\1\u026c\30\0\1\u026c\15\0\1\u026c\27\0\1\u026d\30\0"+
    "\1\u026d\31\0\1\u0263\115\0\1\u026e\131\0\1\u026f\30\0"+
    "\1\u026f\54\0\1\u0270\30\0\1\u0270\16\0\51\u0271\1\0"+
    "\34\u0271\51\u0269\1\u0272\34\u0269\12\0\1\u0273\73\0\51\u026b"+
    "\1\u0274\34\u026b\1\0\3\u0248\1\0\1\u0257\1\u01af\4\0"+
    "\1\u01b0\1\u01b1\1\u01b2\4\u01b0\2\0\1\u0248\3\0\1\u0248"+
    "\10\0\1\u0248\13\0\1\u0248\3\0\1\u0248\10\0\1\u0248"+
    "\57\0\1\u0275\30\0\1\u0275\6\0\1\u0275\37\0\1\u0276"+
    "\30\0\1\u0276\53\0\1\u0277\30\0\1\u0277\16\0\1\u0277"+
    "\35\0\1\u0278\30\0\1\u0278\16\0\1\u0278\51\u0271\1\u0279"+
    "\34\u0271\12\0\1\u027a\131\0\1\u027b\30\0\1\u027b\30\0"+
    "\1\u027c\135\0\1\u027d\30\0\1\u027d\47\0\1\u027e\30\0"+
    "\1\u027e\16\0\1\u027e\40\0\1\u027f\30\0\1\u027f\54\0"+
    "\1\u0280\30\0\1\u0280\26\0\1\u0281\131\0\1\u0282\30\0"+
    "\1\u0282\53\0\1\u0283\30\0\1\u0283\16\0\1\u0283\36\0"+
    "\1\u0284\30\0\1\u0284\41\0\1\u0248\122\0\1\u0285\30\0"+
    "\1\u0285\67\0\1\u0286\105\0\1\u0287\70\0\1\u0288\30\0"+
    "\1\u0288\53\0\1\u0289\30\0\1\u0289\16\0\1\u0289\40\0"+
    "\1\u028a\30\0\1\u028a\51\0\1\u028b\30\0\1\u028b\16\0"+
    "\1\u028b\53\0\1\u028c\33\0\3\u0287\1\0\1\u028d\5\0"+
    "\7\24\121\0\1\u028e\30\0\1\u028e\16\0\1\u028e\40\0"+
    "\1\u028f\30\0\1\u028f\67\0\1\u0290\72\0\1\u0291\30\0"+
    "\1\u0291\15\0\3\u028c\1\0\1\u0292\1\133\4\0\1\134"+
    "\1\135\1\136\4\134\2\0\1\57\30\0\1\57\70\0"+
    "\1\u0293\30\0\1\u0293\54\0\1\u0294\30\0\1\u0294\67\0"+
    "\1\u0295\33\0\3\u0290\1\0\1\u0296\1\163\4\0\1\164"+
    "\1\165\1\166\4\164\2\0\1\107\30\0\1\107\103\0"+
    "\1\u0297\72\0\1\u0298\30\0\1\u0298\41\0\1\u0299\30\0"+
    "\1\u0299\102\0\1\u029a\33\0\3\u0295\1\0\1\u029b\5\0"+
    "\7\u029c\16\0\1\u029d\10\0\1\u029e\17\0\1\u029d\54\0"+
    "\1\u029f\30\0\1\u029f\15\0\3\u0297\1\0\1\u02a0\5\0"+
    "\7\u02a1\111\0\1\u02a2\30\0\1\u02a2\73\0\1\u02a3\30\0"+
    "\1\u02a3\6\0\1\u02a3\2\0\3\u029a\1\0\1\u02a4\1\355"+
    "\4\0\1\356\1\357\1\360\4\356\2\0\1\256\30\0"+
    "\1\256\70\0\1\u02a5\30\0\1\u02a5\15\0\3\u02a6\1\0"+
    "\1\u02a7\4\0\1\255\7\u029c\2\0\1\256\24\0\1\u02a8"+
    "\1\255\2\0\1\256\31\0\3\u02a9\1\0\1\u02aa\3\0"+
    "\1\u02ab\1\0\7\u029c\17\0\1\u02ac\1\0\1\u02ac\2\0"+
    "\1\u02ad\2\0\1\u029e\20\0\1\u02ac\1\0\1\u02ac\2\0"+
    "\1\u02ad\2\0\1\u02a9\41\0\1\u02ae\30\0\1\u02ae\43\0"+
    "\1\u02af\30\0\1\u02af\67\0\1\u02b0\30\0\1\u02b0\15\0"+
    "\3\u02b1\1\0\1\u02b2\5\0\7\u02a1\27\0\1\u02b3\100\0"+
    "\1\u02b4\30\0\1\u02b4\6\0\1\u02b4\43\0\1\u02b5\30\0"+
    "\1\u02b5\52\0\1\u02b6\30\0\1\u02b6\41\0\1\u02b7\30\0"+
    "\1\u02b7\30\0\3\u02a6\1\0\1\u02a7\4\0\1\255\11\0"+
    "\1\256\24\0\1\u02a8\1\255\2\0\1\256\70\0\1\u02b8"+
    "\30\0\1\u02b8\52\0\1\u02b9\30\0\1\u02b9\17\0\3\u02a9"+
    "\1\0\1\u02aa\5\0\7\u029c\27\0\1\u029e\74\0\1\u02ba"+
    "\30\0\1\u02ba\15\0\3\u02a9\1\0\1\u02aa\5\0\7\u029c"+
    "\27\0\1\u029e\30\0\1\u02a9\4\0\3\u02a9\1\0\1\u02aa"+
    "\3\0\1\u02a9\1\0\7\u029c\27\0\1\u029e\73\0\1\u02bb"+
    "\30\0\1\u02bb\52\0\1\u02bc\30\0\1\u02bc\16\0\1\u02bc"+
    "\44\0\1\u02bd\30\0\1\u02bd\6\0\1\u02bd\26\0\1\u02be"+
    "\30\0\1\u02be\30\0\3\u02b1\1\0\1\u02b2\43\0\1\u02b3"+
    "\74\0\1\u02bf\30\0\1\u02bf\52\0\1\u02c0\30\0\1\u02c0"+
    "\60\0\1\u02c1\30\0\1\u02c1\35\0\1\u0287\107\0\1\u02c2"+
    "\30\0\1\u02c2\73\0\1\u02c3\30\0\1\u02c3\6\0\1\u02c3"+
    "\26\0\1\u02c4\30\0\1\u02c4\64\0\1\u02c5\30\0\1\u02c5"+
    "\16\0\1\u02c5\25\0\1\u02c6\30\0\1\u02c6\30\0\3\u02a9"+
    "\1\0\1\u02aa\3\0\1\u02a9\1\0\7\u029c\6\0\1\u02c7"+
    "\20\0\1\u029e\7\0\1\u02c7\64\0\1\u02c8\30\0\1\u02c8"+
    "\56\0\1\u02c9\30\0\1\u02c9\56\0\1\u02ca\30\0\1\u02ca"+
    "\6\0\1\u02ca\26\0\1\u02cb\30\0\1\u02cb\64\0\1\u02cc"+
    "\30\0\1\u02cc\16\0\1\u02cc\23\0\1\u028c\126\0\1\u02cd"+
    "\30\0\1\u02cd\6\0\1\u02cd\43\0\1\u02ce\30\0\1\u02ce"+
    "\56\0\1\u02cf\30\0\1\u02cf\6\0\1\u02cf\41\0\1\u02d0"+
    "\30\0\1\u02d0\60\0\1\u02d1\30\0\1\u02d1\6\0\1\u02d1"+
    "\44\0\1\u02d2\30\0\1\u02d2\33\0\1\u02d3\106\0\1\u0290"+
    "\124\0\1\u02d4\30\0\1\u02d4\56\0\1\u02d5\30\0\1\u02d5"+
    "\6\0\1\u02d5\41\0\1\u02d6\30\0\1\u02d6\56\0\1\u02d7"+
    "\30\0\1\u02d7\35\0\1\u0295\124\0\1\u02d8\30\0\1\u02d8"+
    "\34\0\1\u02d9\125\0\1\u02da\30\0\1\u02da\53\0\1\u02a9"+
    "\30\0\1\u02a9\57\0\1\u02db\30\0\1\u02db\6\0\1\u02db"+
    "\24\0\1\u0297\124\0\1\u02dc\30\0\1\u02dc\34\0\1\u02dd"+
    "\106\0\1\u029a\105\0\1\u02a6\126\0\1\u02de\30\0\1\u02de"+
    "\6\0\1\u02de\24\0\1\u02a9\127\0\1\u02df\30\0\1\u02df"+
    "\32\0\1\u02b1\126\0\1\u02e0\30\0\1\u02e0\6\0\1\u02e0"+
    "\46\0\1\u02e1\30\0\1\u02e1\51\0\1\u02e2\30\0\1\u02e2"+
    "\57\0\1\u02e3\30\0\1\u02e3\51\0\1\u02e4\30\0\1\u02e4"+
    "\62\0\1\u02e5\30\0\1\u02e5\46\0\1\u02e6\30\0\1\u02e6"+
    "\62\0\1\u02e7\30\0\1\u02e7\26\0\1\u02e8\133\0\1\u02e9"+
    "\30\0\1\u02e9\26\0\1\u02ea\114\0\1\u02eb\30\0\1\u02eb"+
    "\45\0\1\u02ec\117\0\1\u022d\4\0\1\u022e\23\0\1\u022d"+
    "\4\0\1\u022e\10\0\1\u022d\45\0\1\u02ed\30\0\1\u02ed"+
    "\56\0\1\u02ee\30\0\1\u02ee\50\0\1\u02ef\30\0\1\u02ef"+
    "\54\0\1\u02f0\30\0\1\u02f0\52\0\1\u02f1\30\0\1\u02f1"+
    "\37\0\1\u02f2\105\0\1\u02f3\76\0\7\u02f4\77\0\7\u02f5"+
    "\77\0\7\u02f4\31\0\1\u02f6\45\0\7\u02f5\31\0\1\u02f7"+
    "\32\0\51\u02f8\1\0\34\u02f8\51\u02f9\1\0\34\u02f9\51\u02f8"+
    "\1\u02fa\34\u02f8\51\u02f9\1\u02fb\34\u02f9\12\0\1\u02fc\105\0"+
    "\1\u02fd\131\0\1\u02fe\30\0\1\u02fe\54\0\1\u02ff\30\0"+
    "\1\u02ff\53\0\1\u0300\30\0\1\u0300\16\0\1\u0300\35\0"+
    "\1\u0301\30\0\1\u0301\16\0\1\u0301\40\0\1\u0302\30\0"+
    "\1\u0302\54\0\1\u0303\30\0\1\u0303\67\0\1\u0304\105\0"+
    "\1\u0305\33\0\3\u0304\1\0\1\u0306\5\0\7\155\65\0"+
    "\3\u0305\1\0\1\u0307\5\0\7\u0308\124\0\1\u0309\30\0"+
    "\1\u0309\54\0\1\u030a\30\0\1\u030a\15\0\3\u030b\1\0"+
    "\1\u030c\5\0\7\u0308\27\0\1\u030d\61\0\1\u030e\30\0"+
    "\1\u030e\54\0\1\u030f\30\0\1\u030f\30\0\3\u030b\1\0"+
    "\1\u030c\43\0\1\u030d\74\0\1\u0310\30\0\1\u0310\52\0"+
    "\1\u0311\30\0\1\u0311\62\0\1\u0312\30\0\1\u0312\6\0"+
    "\1\u0312\45\0\1\u0313\30\0\1\u0313\6\0\1\u0313\26\0"+
    "\1\u0314\30\0\1\u0314\64\0\1\u0315\30\0\1\u0315\16\0"+
    "\1\u0315\42\0\1\u0316\30\0\1\u0316\54\0\1\u0317\30\0"+
    "\1\u0317\56\0\1\u0318\30\0\1\u0318\6\0\1\u0318\41\0"+
    "\1\u0319\30\0\1\u0319\37\0\1\u0304\105\0\1\u0305\124\0"+
    "\1\u031a\30\0\1\u031a\34\0\1\u031b\106\0\1\u030b\126\0"+
    "\1\u031c\30\0\1\u031c\6\0\1\u031c\46\0\1\u031d\30\0"+
    "\1\u031d\51\0\1\u031e\30\0\1\u031e\62\0\1\u031f\30\0"+
    "\1\u031f\26\0\1\u0320\130\0\1\u0321\30\0\1\u0321\50\0"+
    "\1\u0322\30\0\1\u0322\35\0\1\u0323\76\0\7\u0324\77\0"+
    "\7\u0324\31\0\1\u0325\32\0\51\u0326\1\0\105\u0326\1\u0327"+
    "\34\u0326\12\0\1\u0328\131\0\1\u0329\30\0\1\u0329\53\0"+
    "\1\u032a\30\0\1\u032a\16\0\1\u032a\40\0\1\u032b\30\0"+
    "\1\u032b\67\0\1\u032c\33\0\3\u032c\1\0\1\u032d\5\0"+
    "\7\u029c\124\0\1\u032e\30\0\1\u032e\41\0\1\u032f\30\0"+
    "\1\u032f\73\0\1\u0330\30\0\1\u0330\6\0\1\u0330\43\0"+
    "\1\u0331\30\0\1\u0331\35\0\1\u032c\62\0";

  private static int [] zzUnpacktrans() {
    int [] result = new int[55650];
    int offset = 0;
    offset = zzUnpacktrans(ZZ_TRANS_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpacktrans(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      value--;
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }


  /** Error code for "Unknown internal scanner error". */
  private static final int ZZ_UNKNOWN_ERROR = 0;
  /** Error code for "could not match input". */
  private static final int ZZ_NO_MATCH = 1;
  /** Error code for "pushback value was too large". */
  private static final int ZZ_PUSHBACK_2BIG = 2;

  /**
   * Error messages for {@link #ZZ_UNKNOWN_ERROR}, {@link #ZZ_NO_MATCH}, and
   * {@link #ZZ_PUSHBACK_2BIG} respectively.
   */
  private static final String ZZ_ERROR_MSG[] = {
    "Unknown internal scanner error",
    "Error: could not match input",
    "Error: pushback value was too large"
  };

  /**
   * ZZ_ATTRIBUTE[aState] contains the attributes of state {@code aState}
   */
  private static final int [] ZZ_ATTRIBUTE = zzUnpackAttribute();

  private static final String ZZ_ATTRIBUTE_PACKED_0 =
    "\11\0\2\1\1\11\3\1\1\11\1\1\2\11\7\1"+
    "\166\0\1\11\3\1\77\0\1\11\10\0\1\11\3\1"+
    "\30\0\1\11\1\1\2\0\1\11\1\1\40\0\3\1"+
    "\60\0\1\11\13\0\1\11\1\1\75\0\1\1\32\0"+
    "\1\11\6\0\1\1\10\0\1\11\1\1\110\0\1\1"+
    "\40\0\1\11\1\1\25\0\1\11\1\1\10\0\1\11"+
    "\1\1\4\0\1\11\10\0\1\11\1\1\41\0\1\1"+
    "\253\0";

  private static int [] zzUnpackAttribute() {
    int [] result = new int[817];
    int offset = 0;
    offset = zzUnpackAttribute(ZZ_ATTRIBUTE_PACKED_0, offset, result);
    return result;
  }

  private static int zzUnpackAttribute(String packed, int offset, int [] result) {
    int i = 0;       /* index in packed string  */
    int j = offset;  /* index in unpacked array */
    int l = packed.length();
    while (i < l) {
      int count = packed.charAt(i++);
      int value = packed.charAt(i++);
      do result[j++] = value; while (--count > 0);
    }
    return j;
  }

  /** Input device. */
  private java.io.Reader zzReader;

  /** Current state of the DFA. */
  private int zzState;

  /** Current lexical state. */
  private int zzLexicalState = YYINITIAL;

  /**
   * This buffer contains the current text to be matched and is the source of the {@link #yytext()}
   * string.
   */
  private char zzBuffer[] = new char[Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen())];

  /** Text position at the last accepting state. */
  private int zzMarkedPos;

  /** Current text position in the buffer. */
  private int zzCurrentPos;

  /** Marks the beginning of the {@link #yytext()} string in the buffer. */
  private int zzStartRead;

  /** Marks the last character in the buffer, that has been read from input. */
  private int zzEndRead;

  /**
   * Whether the scanner is at the end of file.
   * @see #yyatEOF
   */
  private boolean zzAtEOF;

  /**
   * The number of occupied positions in {@link #zzBuffer} beyond {@link #zzEndRead}.
   *
   * <p>When a lead/high surrogate has been read from the input stream into the final
   * {@link #zzBuffer} position, this will have a value of 1; otherwise, it will have a value of 0.
   */
  private int zzFinalHighSurrogate = 0;

  /** For the backwards DFA of general lookahead statements */
  private boolean [] zzFin = new boolean [Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen())+1];

  /** Number of newlines encountered up to the start of the matched text. */
  private int yyline;

  /** Number of characters from the last newline up to the start of the matched text. */
  private int yycolumn;

  /** Number of characters up to the start of the matched text. */
  private long yychar;

  /** Whether the scanner is currently at the beginning of a line. */
  @SuppressWarnings("unused")
  private boolean zzAtBOL = true;

  /** Whether the user-EOF-code has already been executed. */
  @SuppressWarnings("unused")
  private boolean zzEOFDone;

  /* user code: */
	
	S070_NumberYears() { }
	
	private ArrayList<Object> buffer = new ArrayList<Object>();
	
	private void startUeYearNumber() {
	
		addText();
		position += yylength();
		yybegin(ueYearNumber);
	}


	private void saveNumberYearBuffer() {
		
		saveNumberYear(false, true, false);
	}
	
	private void saveNumberYear() {
		
		saveNumberYear(false, false, true);
	}
	
	private void saveYearNumber() {
		
		saveNumberYear(true, false, true);
	}
	
	private void saveYearNumberUe() {
		
		saveNumberYear(true, false, false);
	}
	
	private void saveNumberYear(boolean yearNumber, boolean useBuffer, boolean withEdge) {
	
		String text = Util.removeAllAnnotations(yytext());
		
		if(withEdge) {
		
			addText(text.substring(0,1));
			position++;
			text = text.substring(1);
			text = text.substring(0, text.length()-1);
			yypushback(1);
		}
		
		String val1 = Util.readFirstNumber(text);
		String val2 = Util.readSecondNumber(text);
		
		AnnotationEntity number = new AnnotationEntity(Entity.NUMBER);
		number.setText(text);
		number.setPosition(position);

		AnnotationEntity year = new AnnotationEntity(Entity.YEAR);
		year.setText(text);
		year.setPosition(position);

		String numVal = "";
		String yearVal = "";
		
		if(yearNumber)  {
		
			yearVal = Util.normalizeYear(val1);
			numVal = val2;
		
		} else {
		
			numVal = val1;
			yearVal = Util.normalizeYear(val2);
		}
		
		number.setValue(numVal);
		year.setValue(yearVal);
		
		addEntity(number, false);
		addEntity(year, false);
		
		String numYearVal = numVal + "-" + yearVal;
				
		AnnotationEntity numberYear = new AnnotationEntity(Entity.NUMBER_YEAR);
		
		numberYear.addRelatedEntity(number);
		numberYear.addRelatedEntity(year);
		
		if(useBuffer) {
			
			save(numberYear, numYearVal, false);
			
			buffer.add(numberYear);
			
			//Serializza il buffer e termina
			for(Object o : buffer) {
			
				if(o instanceof AnnotationEntity) { 
				
					updateValue((AnnotationEntity) o, year);
					output.append(serializeEntity((AnnotationEntity) o));
					
				} else {
				
					addText((String) o);
				}
			}
		
		} else {
		
			numberYear.setPosition(position);
			numberYear.setText(text);
			numberYear.setValue(numYearVal);
	
			addEntity(numberYear);
			
			position += text.length();	
		}
	}

	private void updateValue(AnnotationEntity numberYear, AnnotationEntity year) {
		
		if(numberYear.getValue().indexOf("-") > -1) return;
		
		numberYear.addRelatedEntity(year);
		
		numberYear.setValue(numberYear.getValue() + "-" + year.getValue());
	}



  /**
   * Creates a new scanner
   *
   * @param   in  the java.io.Reader to read input from.
   */
  S070_NumberYears(java.io.Reader in) {
    this.zzReader = in;
  }


  /** Returns the maximum size of the scanner buffer, which limits the size of tokens. */
  private int zzMaxBufferLen() {
    return Integer.MAX_VALUE;
  }

  /**  Whether the scanner buffer can grow to accommodate a larger token. */
  private boolean zzCanGrow() {
    return true;
  }

  /**
   * Translates raw input code points to DFA table row
   */
  private static int zzCMap(int input) {
    int offset = input & 255;
    return offset == input ? ZZ_CMAP_BLOCKS[offset] : ZZ_CMAP_BLOCKS[ZZ_CMAP_TOP[input >> 8] | offset];
  }

  /**
   * Refills the input buffer.
   *
   * @return {@code false} iff there was new input.
   * @exception java.io.IOException  if any I/O-Error occurs
   */
  private boolean zzRefill() throws java.io.IOException {

    /* first: make room (if you can) */
    if (zzStartRead > 0) {
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
      System.arraycopy(zzBuffer, zzStartRead,
                       zzBuffer, 0,
                       zzEndRead - zzStartRead);

      /* translate stored positions */
      zzEndRead -= zzStartRead;
      zzCurrentPos -= zzStartRead;
      zzMarkedPos -= zzStartRead;
      zzStartRead = 0;
    }

    /* is the buffer big enough? */
    if (zzCurrentPos >= zzBuffer.length - zzFinalHighSurrogate && zzCanGrow()) {
      /* if not, and it can grow: blow it up */
      char newBuffer[] = new char[Math.min(zzBuffer.length * 2, zzMaxBufferLen())];
      System.arraycopy(zzBuffer, 0, newBuffer, 0, zzBuffer.length);
      zzBuffer = newBuffer;
      zzEndRead += zzFinalHighSurrogate;
      zzFinalHighSurrogate = 0;
    }

    /* fill the buffer with new input */
    int requested = zzBuffer.length - zzEndRead;
    int numRead = zzReader.read(zzBuffer, zzEndRead, requested);

    /* not supposed to occur according to specification of java.io.Reader */
    if (numRead == 0) {
      if (requested == 0) {
        throw new java.io.EOFException("Scan buffer limit reached ["+zzBuffer.length+"]");
      }
      else {
        throw new java.io.IOException(
            "Reader returned 0 characters. See JFlex examples/zero-reader for a workaround.");
      }
    }
    if (numRead > 0) {
      zzEndRead += numRead;
      if (Character.isHighSurrogate(zzBuffer[zzEndRead - 1])) {
        if (numRead == requested) { // We requested too few chars to encode a full Unicode character
          --zzEndRead;
          zzFinalHighSurrogate = 1;
        } else {                    // There is room in the buffer for at least one more char
          int c = zzReader.read();  // Expecting to read a paired low surrogate char
          if (c == -1) {
            return true;
          } else {
            zzBuffer[zzEndRead++] = (char)c;
          }
        }
      }
      /* potentially more input available */
      return false;
    }

    /* numRead < 0 ==> end of stream */
    return true;
  }


  /**
   * Closes the input reader.
   *
   * @throws java.io.IOException if the reader could not be closed.
   */
  public final void yyclose() throws java.io.IOException {
    zzAtEOF = true; // indicate end of file
    zzEndRead = zzStartRead; // invalidate buffer

    if (zzReader != null) {
      zzReader.close();
    }
  }


  /**
   * Resets the scanner to read from a new input stream.
   *
   * <p>Does not close the old reader.
   *
   * <p>All internal variables are reset, the old input stream <b>cannot</b> be reused (internal
   * buffer is discarded and lost). Lexical state is set to {@code ZZ_INITIAL}.
   *
   * <p>Internal scan buffer is resized down to its initial length, if it has grown.
   *
   * @param reader The new input stream.
   */
  public final void yyreset(java.io.Reader reader) {
    zzReader = reader;
    zzEOFDone = false;
    yyResetPosition();
    zzLexicalState = YYINITIAL;
    int initBufferSize = Math.min(ZZ_BUFFERSIZE, zzMaxBufferLen());
    if (zzBuffer.length > initBufferSize) {
      zzBuffer = new char[initBufferSize];
    }
  }

  /**
   * Resets the input position.
   */
  private final void yyResetPosition() {
      zzAtBOL  = true;
      zzAtEOF  = false;
      zzCurrentPos = 0;
      zzMarkedPos = 0;
      zzStartRead = 0;
      zzEndRead = 0;
      zzFinalHighSurrogate = 0;
      yyline = 0;
      yycolumn = 0;
      yychar = 0L;
  }


  /**
   * Returns whether the scanner has reached the end of the reader it reads from.
   *
   * @return whether the scanner has reached EOF.
   */
  public final boolean yyatEOF() {
    return zzAtEOF;
  }


  /**
   * Returns the current lexical state.
   *
   * @return the current lexical state.
   */
  public final int yystate() {
    return zzLexicalState;
  }


  /**
   * Enters a new lexical state.
   *
   * @param newState the new lexical state
   */
  public final void yybegin(int newState) {
    zzLexicalState = newState;
  }


  /**
   * Returns the text matched by the current regular expression.
   *
   * @return the matched text.
   */
  public final String yytext() {
    return new String(zzBuffer, zzStartRead, zzMarkedPos-zzStartRead);
  }


  /**
   * Returns the character at the given position from the matched text.
   *
   * <p>It is equivalent to {@code yytext().charAt(pos)}, but faster.
   *
   * @param position the position of the character to fetch. A value from 0 to {@code yylength()-1}.
   *
   * @return the character at {@code position}.
   */
  public final char yycharat(int position) {
    return zzBuffer[zzStartRead + position];
  }


  /**
   * How many characters were matched.
   *
   * @return the length of the matched text region.
   */
  public final int yylength() {
    return zzMarkedPos-zzStartRead;
  }


  /**
   * Reports an error that occurred while scanning.
   *
   * <p>In a well-formed scanner (no or only correct usage of {@code yypushback(int)} and a
   * match-all fallback rule) this method will only be called with things that
   * "Can't Possibly Happen".
   *
   * <p>If this method is called, something is seriously wrong (e.g. a JFlex bug producing a faulty
   * scanner etc.).
   *
   * <p>Usual syntax/scanner level error handling should be done in error fallback rules.
   *
   * @param errorCode the code of the error message to display.
   */
  private static void zzScanError(int errorCode) {
    String message;
    try {
      message = ZZ_ERROR_MSG[errorCode];
    } catch (ArrayIndexOutOfBoundsException e) {
      message = ZZ_ERROR_MSG[ZZ_UNKNOWN_ERROR];
    }

    throw new Error(message);
  }


  /**
   * Pushes the specified amount of characters back into the input stream.
   *
   * <p>They will be read again by then next call of the scanning method.
   *
   * @param number the number of characters to be read again. This number must not be greater than
   *     {@link #yylength()}.
   */
  public void yypushback(int number)  {
    if ( number > yylength() )
      zzScanError(ZZ_PUSHBACK_2BIG);

    zzMarkedPos -= number;
  }




  /**
   * Resumes scanning until the next regular expression is matched, the end of input is encountered
   * or an I/O-Error occurs.
   *
   * @return the next token.
   * @exception java.io.IOException if any I/O-Error occurs.
   */
  public int yylex() throws java.io.IOException
  {
    int zzInput;
    int zzAction;

    // cached fields:
    int zzCurrentPosL;
    int zzMarkedPosL;
    int zzEndReadL = zzEndRead;
    char[] zzBufferL = zzBuffer;

    int [] zzTransL = ZZ_TRANS;
    int [] zzRowMapL = ZZ_ROWMAP;
    int [] zzAttrL = ZZ_ATTRIBUTE;

    while (true) {
      zzMarkedPosL = zzMarkedPos;

      yychar+= zzMarkedPosL-zzStartRead;

      boolean zzR = false;
      int zzCh;
      int zzCharCount;
      for (zzCurrentPosL = zzStartRead  ;
           zzCurrentPosL < zzMarkedPosL ;
           zzCurrentPosL += zzCharCount ) {
        zzCh = Character.codePointAt(zzBufferL, zzCurrentPosL, zzMarkedPosL);
        zzCharCount = Character.charCount(zzCh);
        switch (zzCh) {
        case '\u000B':  // fall through
        case '\u000C':  // fall through
        case '\u0085':  // fall through
        case '\u2028':  // fall through
        case '\u2029':
          yyline++;
          yycolumn = 0;
          zzR = false;
          break;
        case '\r':
          yyline++;
          yycolumn = 0;
          zzR = true;
          break;
        case '\n':
          if (zzR)
            zzR = false;
          else {
            yyline++;
            yycolumn = 0;
          }
          break;
        default:
          zzR = false;
          yycolumn += zzCharCount;
        }
      }

      if (zzR) {
        // peek one character ahead if it is
        // (if we have counted one line too much)
        boolean zzPeek;
        if (zzMarkedPosL < zzEndReadL)
          zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        else if (zzAtEOF)
          zzPeek = false;
        else {
          boolean eof = zzRefill();
          zzEndReadL = zzEndRead;
          zzMarkedPosL = zzMarkedPos;
          zzBufferL = zzBuffer;
          if (eof)
            zzPeek = false;
          else
            zzPeek = zzBufferL[zzMarkedPosL] == '\n';
        }
        if (zzPeek) yyline--;
      }
      zzAction = -1;

      zzCurrentPosL = zzCurrentPos = zzStartRead = zzMarkedPosL;

      zzState = ZZ_LEXSTATE[zzLexicalState];

      // set up zzAction for empty match case:
      int zzAttributes = zzAttrL[zzState];
      if ( (zzAttributes & 1) == 1 ) {
        zzAction = zzState;
      }


      zzForAction: {
        while (true) {

          if (zzCurrentPosL < zzEndReadL) {
            zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
            zzCurrentPosL += Character.charCount(zzInput);
          }
          else if (zzAtEOF) {
            zzInput = YYEOF;
            break zzForAction;
          }
          else {
            // store back cached positions
            zzCurrentPos  = zzCurrentPosL;
            zzMarkedPos   = zzMarkedPosL;
            boolean eof = zzRefill();
            // get translated positions and possibly new buffer
            zzCurrentPosL  = zzCurrentPos;
            zzMarkedPosL   = zzMarkedPos;
            zzBufferL      = zzBuffer;
            zzEndReadL     = zzEndRead;
            if (eof) {
              zzInput = YYEOF;
              break zzForAction;
            }
            else {
              zzInput = Character.codePointAt(zzBufferL, zzCurrentPosL, zzEndReadL);
              zzCurrentPosL += Character.charCount(zzInput);
            }
          }
          int zzNext = zzTransL[ zzRowMapL[zzState] + zzCMap(zzInput) ];
          if (zzNext == -1) break zzForAction;
          zzState = zzNext;

          zzAttributes = zzAttrL[zzState];
          if ( (zzAttributes & 1) == 1 ) {
            zzAction = zzState;
            zzMarkedPosL = zzCurrentPosL;
            if ( (zzAttributes & 8) == 8 ) break zzForAction;
          }

        }
      }

      // store back cached position
      zzMarkedPos = zzMarkedPosL;

      if (zzInput == YYEOF && zzStartRead == zzCurrentPos) {
        zzAtEOF = true;
        return YYEOF;
      }
      else {
        switch (zzAction < 0 ? zzAction : ZZ_ACTION[zzAction]) {
          case 1:
            { addText();
	position++;
            }
          // fall through
          case 19: break;
          case 2:
            { addText();
		position++;
            }
          // fall through
          case 20: break;
          case 3:
            { System.out.print(yytext());
            }
          // fall through
          case 21: break;
          case 4:
            { offset++;
			position++;
			
			buffer.add(yytext());
            }
          // fall through
          case 22: break;
          case 5:
            { //System.out.println("NUMBER: " + yytext());
		
		String text = Util.removeAllAnnotations(yytext());
		
		String val = Util.readFirstNumber(text);
		
		AnnotationEntity number = new AnnotationEntity(Entity.NUMBER);
		number.setText(text);
		number.setValue(val);
		number.setPosition(position);
		addEntity(number, false);
		
		AnnotationEntity numberYear = new AnnotationEntity(Entity.NUMBER_YEAR);
		save(numberYear, val, false);
		
		numberYear.addRelatedEntity(number);
		
		buffer.add(numberYear);
            }
          // fall through
          case 23: break;
          case 6:
            { //è l'ultimo della lista
		
		saveNumberYearBuffer();
		
		yybegin(0);
            }
          // fall through
          case 24: break;
          case 7:
            { addText();
		position--; //account for the following {LKN_C} character
		yybegin(YYINITIAL);
            }
          // fall through
          case 25: break;
          case 8:
            { saveYearNumberUe(); yybegin(0);
            }
          // fall through
          case 26: break;
          case 9:
            { saveNumberYear();
            }
          // fall through
          case 27: break;
          case 10:
            { saveYearNumber();
            }
          // fall through
          case 28: break;
          case 11:
            { //System.out.println("MULTIPLE: " + yytext());
	
	buffer = new ArrayList<Object>();
	
	start(null, multipleNumbersYear, true, true);
            }
          // fall through
          case 29: break;
          case 12:
            { addText(); 
	yybegin(lkn);
            }
          // fall through
          case 30: break;
          case 13:
            { addText(); position += yylength();
            }
          // fall through
          case 31: break;
          case 14:
            // general lookahead, find correct zzMarkedPos
            { int zzFState = 5;
              int zzFPos = zzStartRead;
              if (zzFin.length <= zzBufferL.length) {
                zzFin = new boolean[zzBufferL.length+1];
              }
              boolean zzFinL[] = zzFin;
              while (zzFState != -1 && zzFPos < zzMarkedPos) {
                zzFinL[zzFPos] = ((zzAttrL[zzFState] & 1) == 1);
                zzInput = Character.codePointAt(zzBufferL, zzFPos, zzMarkedPos);
                zzFPos += Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              }
              if (zzFState != -1) {
                zzFinL[zzFPos++] = ((zzAttrL[zzFState] & 1) == 1);
              }
              while (zzFPos <= zzMarkedPos) {
                zzFinL[zzFPos++] = false;
              }

              zzFState = 6;
              zzFPos = zzMarkedPos;
              while (!zzFinL[zzFPos] || (zzAttrL[zzFState] & 1) != 1) {
                zzInput = Character.codePointBefore(zzBufferL, zzFPos, zzStartRead);
                zzFPos -= Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              };
              zzMarkedPos = zzFPos;
            }
            { startUeYearNumber();
            }
          // fall through
          case 32: break;
          case 15:
            // general lookahead, find correct zzMarkedPos
            { int zzFState = 8;
              int zzFPos = zzStartRead;
              if (zzFin.length <= zzBufferL.length) {
                zzFin = new boolean[zzBufferL.length+1];
              }
              boolean zzFinL[] = zzFin;
              while (zzFState != -1 && zzFPos < zzMarkedPos) {
                zzFinL[zzFPos] = ((zzAttrL[zzFState] & 1) == 1);
                zzInput = Character.codePointAt(zzBufferL, zzFPos, zzMarkedPos);
                zzFPos += Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              }
              if (zzFState != -1) {
                zzFinL[zzFPos++] = ((zzAttrL[zzFState] & 1) == 1);
              }
              while (zzFPos <= zzMarkedPos) {
                zzFinL[zzFPos++] = false;
              }

              zzFState = 6;
              zzFPos = zzMarkedPos;
              while (!zzFinL[zzFPos] || (zzAttrL[zzFState] & 1) != 1) {
                zzInput = Character.codePointBefore(zzBufferL, zzFPos, zzStartRead);
                zzFPos -= Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              };
              zzMarkedPos = zzFPos;
            }
            { startUeYearNumber();
            }
          // fall through
          case 33: break;
          case 16:
            // general lookahead, find correct zzMarkedPos
            { int zzFState = 5;
              int zzFPos = zzStartRead;
              if (zzFin.length <= zzBufferL.length) {
                zzFin = new boolean[zzBufferL.length+1];
              }
              boolean zzFinL[] = zzFin;
              while (zzFState != -1 && zzFPos < zzMarkedPos) {
                zzFinL[zzFPos] = ((zzAttrL[zzFState] & 1) == 1);
                zzInput = Character.codePointAt(zzBufferL, zzFPos, zzMarkedPos);
                zzFPos += Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              }
              if (zzFState != -1) {
                zzFinL[zzFPos++] = ((zzAttrL[zzFState] & 1) == 1);
              }
              while (zzFPos <= zzMarkedPos) {
                zzFinL[zzFPos++] = false;
              }

              zzFState = 7;
              zzFPos = zzMarkedPos;
              while (!zzFinL[zzFPos] || (zzAttrL[zzFState] & 1) != 1) {
                zzInput = Character.codePointBefore(zzBufferL, zzFPos, zzStartRead);
                zzFPos -= Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              };
              zzMarkedPos = zzFPos;
            }
            { startUeYearNumber();
            }
          // fall through
          case 34: break;
          case 17:
            { AnnotationEntity retrievedEntity = retrieveEntity();
		
		buffer.add(yytext());
		
		offset += yylength();
		position += retrievedEntity.getText().length();
            }
          // fall through
          case 35: break;
          case 18:
            // general lookahead, find correct zzMarkedPos
            { int zzFState = 8;
              int zzFPos = zzStartRead;
              if (zzFin.length <= zzBufferL.length) {
                zzFin = new boolean[zzBufferL.length+1];
              }
              boolean zzFinL[] = zzFin;
              while (zzFState != -1 && zzFPos < zzMarkedPos) {
                zzFinL[zzFPos] = ((zzAttrL[zzFState] & 1) == 1);
                zzInput = Character.codePointAt(zzBufferL, zzFPos, zzMarkedPos);
                zzFPos += Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              }
              if (zzFState != -1) {
                zzFinL[zzFPos++] = ((zzAttrL[zzFState] & 1) == 1);
              }
              while (zzFPos <= zzMarkedPos) {
                zzFinL[zzFPos++] = false;
              }

              zzFState = 7;
              zzFPos = zzMarkedPos;
              while (!zzFinL[zzFPos] || (zzAttrL[zzFState] & 1) != 1) {
                zzInput = Character.codePointBefore(zzBufferL, zzFPos, zzStartRead);
                zzFPos -= Character.charCount(zzInput);
                zzFState = zzTransL[ zzRowMapL[zzFState] + zzCMap(zzInput) ];
              };
              zzMarkedPos = zzFPos;
            }
            { startUeYearNumber();
            }
          // fall through
          case 36: break;
          default:
            zzScanError(ZZ_NO_MATCH);
        }
      }
    }
  }

  /**
   * Runs the scanner on input files.
   *
   * This is a standalone scanner, it will print any unmatched
   * text to System.out unchanged.
   *
   * @param argv   the command line, contains the filenames to run
   *               the scanner on.
   */
  public static void main(String[] argv) {
    if (argv.length == 0) {
      System.out.println("Usage : java S070_NumberYears [ --encoding <name> ] <inputfile(s)>");
    }
    else {
      int firstFilePos = 0;
      String encodingName = "UTF-8";
      if (argv[0].equals("--encoding")) {
        firstFilePos = 2;
        encodingName = argv[1];
        try {
          // Side-effect: is encodingName valid?
          java.nio.charset.Charset.forName(encodingName);
        } catch (Exception e) {
          System.out.println("Invalid encoding '" + encodingName + "'");
          return;
        }
      }
      for (int i = firstFilePos; i < argv.length; i++) {
        S070_NumberYears scanner = null;
        java.io.FileInputStream stream = null;
        java.io.Reader reader = null;
        try {
          stream = new java.io.FileInputStream(argv[i]);
          reader = new java.io.InputStreamReader(stream, encodingName);
          scanner = new S070_NumberYears(reader);
          while ( !scanner.zzAtEOF ) scanner.yylex();
        }
        catch (java.io.FileNotFoundException e) {
          System.out.println("File not found : \""+argv[i]+"\"");
        }
        catch (java.io.IOException e) {
          System.out.println("IO error scanning file \""+argv[i]+"\"");
          System.out.println(e);
        }
        catch (Exception e) {
          System.out.println("Unexpected exception:");
          e.printStackTrace();
        }
        finally {
          if (reader != null) {
            try {
              reader.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
          if (stream != null) {
            try {
              stream.close();
            }
            catch (java.io.IOException e) {
              System.out.println("IO error closing file \""+argv[i]+"\"");
              System.out.println(e);
            }
          }
        }
      }
    }
  }


}
